import type { ToMapping, Widen } from "./../utils/index.js";
import type { Network } from "./networks.js";
import type { Platform, PlatformToChains } from "./platforms.js";
declare const chainNetworkNativeChainIdEntries: readonly [readonly ["Mainnet", readonly [readonly ["Aptos", 1n], readonly ["Algorand", "mainnet-v1.0"], readonly ["Near", "mainnet"], readonly ["Cosmoshub", "cosmoshub-4"], readonly ["Evmos", "evmos_9001-2"], readonly ["Injective", "injective-1"], readonly ["Osmosis", "osmosis-1"], readonly ["Sei", "pacific-1"], readonly ["Terra", "columbus-5"], readonly ["Terra2", "phoenix-1"], readonly ["Wormchain", "wormchain"], readonly ["Xpla", "dimension_37-1"], readonly ["Kujira", "kaiyo-1"], readonly ["Solana", "5eykt4UsFv8P8NJdTREpY1vzqKqZKvdpKuc147dw2N9d"], readonly ["Sui", "35834a8a"], readonly ["Acala", 787n], readonly ["Arbitrum", 42161n], readonly ["Aurora", 1313161554n], readonly ["Avalanche", 43114n], readonly ["Base", 8453n], readonly ["Bsc", 56n], readonly ["Celo", 42220n], readonly ["Ethereum", 1n], readonly ["Fantom", 250n], readonly ["Gnosis", 100n], readonly ["Karura", 686n], readonly ["Klaytn", 8217n], readonly ["Moonbeam", 1284n], readonly ["Neon", 245022934n], readonly ["Oasis", 42262n], readonly ["Optimism", 10n], readonly ["Polygon", 137n], readonly ["Rootstock", 30n], readonly ["Neutron", "neutron-1"], readonly ["Stargaze", "stargaze-1"], readonly ["Celestia", "celestia"], readonly ["Dymension", "dymension_1100-1"], readonly ["Provenance", "pio-mainnet-1"], readonly ["Noble", "noble-1"], readonly ["Xlayer", 196n], readonly ["Mantle", 5000n], readonly ["Scroll", 534352n], readonly ["Blast", 81457n], readonly ["Linea", 59144n], readonly ["Snaxchain", 2192n], readonly ["Worldchain", 480n]]], readonly ["Testnet", readonly [readonly ["Aptos", 2n], readonly ["Algorand", "testnet-v1.0"], readonly ["Near", "testnet"], readonly ["Cosmoshub", "theta-testnet-001"], readonly ["Evmos", "evmos_9000-4"], readonly ["Injective", "injective-888"], readonly ["Osmosis", "osmo-test-5"], readonly ["Sei", "atlantic-2"], readonly ["Terra", "bombay-12"], readonly ["Terra2", "pisco-1"], readonly ["Wormchain", "wormchain-testnet-0"], readonly ["Xpla", "cube_47-5"], readonly ["Kujira", "harpoon-4"], readonly ["Solana", "EtWTRABZaYq6iMfeYKouRu166VU2xqa1wcaWoxPkrZBG"], readonly ["Sui", "4c78adac"], readonly ["Acala", 597n], readonly ["Arbitrum", 421613n], readonly ["Aurora", 1313161555n], readonly ["Avalanche", 43113n], readonly ["Base", 84531n], readonly ["Bsc", 97n], readonly ["Celo", 44787n], readonly ["Ethereum", 5n], readonly ["Fantom", 4002n], readonly ["Gnosis", 10200n], readonly ["Karura", 596n], readonly ["Klaytn", 1001n], readonly ["Moonbeam", 1287n], readonly ["Neon", 245022940n], readonly ["Oasis", 42261n], readonly ["Optimism", 420n], readonly ["Polygon", 80001n], readonly ["Rootstock", 31n], readonly ["Sepolia", 11155111n], readonly ["ArbitrumSepolia", 421614n], readonly ["BaseSepolia", 84532n], readonly ["OptimismSepolia", 11155420n], readonly ["PolygonSepolia", 80002n], readonly ["Holesky", 17000n], readonly ["Neutron", "pion-1"], readonly ["Celestia", "mocha-4"], readonly ["Seda", "seda-1-testnet"], readonly ["Noble", "grand-1"], readonly ["Blast", 168587773n], readonly ["Mantle", 5003n], readonly ["Scroll", 534351n], readonly ["Berachain", 80084n], readonly ["Snaxchain", 13001n], readonly ["Unichain", 1301n], readonly ["Worldchain", 4801n], readonly ["Ink", 763373n], readonly ["Xlayer", 195n], readonly ["Linea", 59141n], readonly ["MonadDevnet", 41454n]]], readonly ["Devnet", readonly [readonly ["Aptos", 0n], readonly ["Algorand", "sandnet-v1.0"], readonly ["Bsc", 1397n], readonly ["Ethereum", 1337n], readonly ["Injective", "injective_devnet_fake"], readonly ["Solana", "8wF6jKV3cKwyaVkWcoV9KpDqmkjvEYno9hKZrKx8TbZn"]]]];
export declare const networkChainToNativeChainId: (<const K1 extends "Mainnet" | "Testnet" | "Devnet", const K2 extends keyof {
    readonly Mainnet: {
        readonly Aptos: 1n;
        readonly Algorand: "mainnet-v1.0";
        readonly Near: "mainnet";
        readonly Cosmoshub: "cosmoshub-4";
        readonly Evmos: "evmos_9001-2";
        readonly Injective: "injective-1";
        readonly Osmosis: "osmosis-1";
        readonly Sei: "pacific-1";
        readonly Terra: "columbus-5";
        readonly Terra2: "phoenix-1";
        readonly Wormchain: "wormchain";
        readonly Xpla: "dimension_37-1";
        readonly Kujira: "kaiyo-1";
        readonly Solana: "5eykt4UsFv8P8NJdTREpY1vzqKqZKvdpKuc147dw2N9d";
        readonly Sui: "35834a8a";
        readonly Acala: 787n;
        readonly Arbitrum: 42161n;
        readonly Aurora: 1313161554n;
        readonly Avalanche: 43114n;
        readonly Base: 8453n;
        readonly Bsc: 56n;
        readonly Celo: 42220n;
        readonly Ethereum: 1n;
        readonly Fantom: 250n;
        readonly Gnosis: 100n;
        readonly Karura: 686n;
        readonly Klaytn: 8217n;
        readonly Moonbeam: 1284n;
        readonly Neon: 245022934n;
        readonly Oasis: 42262n;
        readonly Optimism: 10n;
        readonly Polygon: 137n;
        readonly Rootstock: 30n;
        readonly Neutron: "neutron-1";
        readonly Stargaze: "stargaze-1";
        readonly Celestia: "celestia";
        readonly Dymension: "dymension_1100-1";
        readonly Provenance: "pio-mainnet-1";
        readonly Noble: "noble-1";
        readonly Xlayer: 196n;
        readonly Mantle: 5000n;
        readonly Scroll: 534352n;
        readonly Blast: 81457n;
        readonly Linea: 59144n;
        readonly Snaxchain: 2192n;
        readonly Worldchain: 480n;
    };
    readonly Testnet: {
        readonly Aptos: 2n;
        readonly Algorand: "testnet-v1.0";
        readonly Near: "testnet";
        readonly Cosmoshub: "theta-testnet-001";
        readonly Evmos: "evmos_9000-4";
        readonly Injective: "injective-888";
        readonly Osmosis: "osmo-test-5";
        readonly Sei: "atlantic-2";
        readonly Terra: "bombay-12";
        readonly Terra2: "pisco-1";
        readonly Wormchain: "wormchain-testnet-0";
        readonly Xpla: "cube_47-5";
        readonly Kujira: "harpoon-4";
        readonly Solana: "EtWTRABZaYq6iMfeYKouRu166VU2xqa1wcaWoxPkrZBG";
        readonly Sui: "4c78adac";
        readonly Acala: 597n;
        readonly Arbitrum: 421613n;
        readonly Aurora: 1313161555n;
        readonly Avalanche: 43113n;
        readonly Base: 84531n;
        readonly Bsc: 97n;
        readonly Celo: 44787n;
        readonly Ethereum: 5n;
        readonly Fantom: 4002n;
        readonly Gnosis: 10200n;
        readonly Karura: 596n;
        readonly Klaytn: 1001n;
        readonly Moonbeam: 1287n;
        readonly Neon: 245022940n;
        readonly Oasis: 42261n;
        readonly Optimism: 420n;
        readonly Polygon: 80001n;
        readonly Rootstock: 31n;
        readonly Sepolia: 11155111n;
        readonly ArbitrumSepolia: 421614n;
        readonly BaseSepolia: 84532n;
        readonly OptimismSepolia: 11155420n;
        readonly PolygonSepolia: 80002n;
        readonly Holesky: 17000n;
        readonly Neutron: "pion-1";
        readonly Celestia: "mocha-4";
        readonly Seda: "seda-1-testnet";
        readonly Noble: "grand-1";
        readonly Blast: 168587773n;
        readonly Mantle: 5003n;
        readonly Scroll: 534351n;
        readonly Berachain: 80084n;
        readonly Snaxchain: 13001n;
        readonly Unichain: 1301n;
        readonly Worldchain: 4801n;
        readonly Ink: 763373n;
        readonly Xlayer: 195n;
        readonly Linea: 59141n;
        readonly MonadDevnet: 41454n;
    };
    readonly Devnet: {
        readonly Aptos: 0n;
        readonly Algorand: "sandnet-v1.0";
        readonly Bsc: 1397n;
        readonly Ethereum: 1337n;
        readonly Injective: "injective_devnet_fake";
        readonly Solana: "8wF6jKV3cKwyaVkWcoV9KpDqmkjvEYno9hKZrKx8TbZn";
    };
}[K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1] extends infer T ? T extends keyof {
    readonly Mainnet: {
        readonly Aptos: 1n;
        readonly Algorand: "mainnet-v1.0";
        readonly Near: "mainnet";
        readonly Cosmoshub: "cosmoshub-4";
        readonly Evmos: "evmos_9001-2";
        readonly Injective: "injective-1";
        readonly Osmosis: "osmosis-1";
        readonly Sei: "pacific-1";
        readonly Terra: "columbus-5";
        readonly Terra2: "phoenix-1";
        readonly Wormchain: "wormchain";
        readonly Xpla: "dimension_37-1";
        readonly Kujira: "kaiyo-1";
        readonly Solana: "5eykt4UsFv8P8NJdTREpY1vzqKqZKvdpKuc147dw2N9d";
        readonly Sui: "35834a8a";
        readonly Acala: 787n;
        readonly Arbitrum: 42161n;
        readonly Aurora: 1313161554n;
        readonly Avalanche: 43114n;
        readonly Base: 8453n;
        readonly Bsc: 56n;
        readonly Celo: 42220n;
        readonly Ethereum: 1n;
        readonly Fantom: 250n;
        readonly Gnosis: 100n;
        readonly Karura: 686n;
        readonly Klaytn: 8217n;
        readonly Moonbeam: 1284n;
        readonly Neon: 245022934n;
        readonly Oasis: 42262n;
        readonly Optimism: 10n;
        readonly Polygon: 137n;
        readonly Rootstock: 30n;
        readonly Neutron: "neutron-1";
        readonly Stargaze: "stargaze-1";
        readonly Celestia: "celestia";
        readonly Dymension: "dymension_1100-1";
        readonly Provenance: "pio-mainnet-1";
        readonly Noble: "noble-1";
        readonly Xlayer: 196n;
        readonly Mantle: 5000n;
        readonly Scroll: 534352n;
        readonly Blast: 81457n;
        readonly Linea: 59144n;
        readonly Snaxchain: 2192n;
        readonly Worldchain: 480n;
    };
    readonly Testnet: {
        readonly Aptos: 2n;
        readonly Algorand: "testnet-v1.0";
        readonly Near: "testnet";
        readonly Cosmoshub: "theta-testnet-001";
        readonly Evmos: "evmos_9000-4";
        readonly Injective: "injective-888";
        readonly Osmosis: "osmo-test-5";
        readonly Sei: "atlantic-2";
        readonly Terra: "bombay-12";
        readonly Terra2: "pisco-1";
        readonly Wormchain: "wormchain-testnet-0";
        readonly Xpla: "cube_47-5";
        readonly Kujira: "harpoon-4";
        readonly Solana: "EtWTRABZaYq6iMfeYKouRu166VU2xqa1wcaWoxPkrZBG";
        readonly Sui: "4c78adac";
        readonly Acala: 597n;
        readonly Arbitrum: 421613n;
        readonly Aurora: 1313161555n;
        readonly Avalanche: 43113n;
        readonly Base: 84531n;
        readonly Bsc: 97n;
        readonly Celo: 44787n;
        readonly Ethereum: 5n;
        readonly Fantom: 4002n;
        readonly Gnosis: 10200n;
        readonly Karura: 596n;
        readonly Klaytn: 1001n;
        readonly Moonbeam: 1287n;
        readonly Neon: 245022940n;
        readonly Oasis: 42261n;
        readonly Optimism: 420n;
        readonly Polygon: 80001n;
        readonly Rootstock: 31n;
        readonly Sepolia: 11155111n;
        readonly ArbitrumSepolia: 421614n;
        readonly BaseSepolia: 84532n;
        readonly OptimismSepolia: 11155420n;
        readonly PolygonSepolia: 80002n;
        readonly Holesky: 17000n;
        readonly Neutron: "pion-1";
        readonly Celestia: "mocha-4";
        readonly Seda: "seda-1-testnet";
        readonly Noble: "grand-1";
        readonly Blast: 168587773n;
        readonly Mantle: 5003n;
        readonly Scroll: 534351n;
        readonly Berachain: 80084n;
        readonly Snaxchain: 13001n;
        readonly Unichain: 1301n;
        readonly Worldchain: 4801n;
        readonly Ink: 763373n;
        readonly Xlayer: 195n;
        readonly Linea: 59141n;
        readonly MonadDevnet: 41454n;
    };
    readonly Devnet: {
        readonly Aptos: 0n;
        readonly Algorand: "sandnet-v1.0";
        readonly Bsc: 1397n;
        readonly Ethereum: 1337n;
        readonly Injective: "injective_devnet_fake";
        readonly Solana: "8wF6jKV3cKwyaVkWcoV9KpDqmkjvEYno9hKZrKx8TbZn";
    };
}[K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1] ? T extends `bigint(${infer V extends bigint})` ? V : T extends `boolean(${infer V_1 extends boolean})` ? V_1 : T : never : never>(args_0: K1, args_1: K2) => {
    readonly Mainnet: {
        readonly Aptos: 1n;
        readonly Algorand: "mainnet-v1.0";
        readonly Near: "mainnet";
        readonly Cosmoshub: "cosmoshub-4";
        readonly Evmos: "evmos_9001-2";
        readonly Injective: "injective-1";
        readonly Osmosis: "osmosis-1";
        readonly Sei: "pacific-1";
        readonly Terra: "columbus-5";
        readonly Terra2: "phoenix-1";
        readonly Wormchain: "wormchain";
        readonly Xpla: "dimension_37-1";
        readonly Kujira: "kaiyo-1";
        readonly Solana: "5eykt4UsFv8P8NJdTREpY1vzqKqZKvdpKuc147dw2N9d";
        readonly Sui: "35834a8a";
        readonly Acala: 787n;
        readonly Arbitrum: 42161n;
        readonly Aurora: 1313161554n;
        readonly Avalanche: 43114n;
        readonly Base: 8453n;
        readonly Bsc: 56n;
        readonly Celo: 42220n;
        readonly Ethereum: 1n;
        readonly Fantom: 250n;
        readonly Gnosis: 100n;
        readonly Karura: 686n;
        readonly Klaytn: 8217n;
        readonly Moonbeam: 1284n;
        readonly Neon: 245022934n;
        readonly Oasis: 42262n;
        readonly Optimism: 10n;
        readonly Polygon: 137n;
        readonly Rootstock: 30n;
        readonly Neutron: "neutron-1";
        readonly Stargaze: "stargaze-1";
        readonly Celestia: "celestia";
        readonly Dymension: "dymension_1100-1";
        readonly Provenance: "pio-mainnet-1";
        readonly Noble: "noble-1";
        readonly Xlayer: 196n;
        readonly Mantle: 5000n;
        readonly Scroll: 534352n;
        readonly Blast: 81457n;
        readonly Linea: 59144n;
        readonly Snaxchain: 2192n;
        readonly Worldchain: 480n;
    };
    readonly Testnet: {
        readonly Aptos: 2n;
        readonly Algorand: "testnet-v1.0";
        readonly Near: "testnet";
        readonly Cosmoshub: "theta-testnet-001";
        readonly Evmos: "evmos_9000-4";
        readonly Injective: "injective-888";
        readonly Osmosis: "osmo-test-5";
        readonly Sei: "atlantic-2";
        readonly Terra: "bombay-12";
        readonly Terra2: "pisco-1";
        readonly Wormchain: "wormchain-testnet-0";
        readonly Xpla: "cube_47-5";
        readonly Kujira: "harpoon-4";
        readonly Solana: "EtWTRABZaYq6iMfeYKouRu166VU2xqa1wcaWoxPkrZBG";
        readonly Sui: "4c78adac";
        readonly Acala: 597n;
        readonly Arbitrum: 421613n;
        readonly Aurora: 1313161555n;
        readonly Avalanche: 43113n;
        readonly Base: 84531n;
        readonly Bsc: 97n;
        readonly Celo: 44787n;
        readonly Ethereum: 5n;
        readonly Fantom: 4002n;
        readonly Gnosis: 10200n;
        readonly Karura: 596n;
        readonly Klaytn: 1001n;
        readonly Moonbeam: 1287n;
        readonly Neon: 245022940n;
        readonly Oasis: 42261n;
        readonly Optimism: 420n;
        readonly Polygon: 80001n;
        readonly Rootstock: 31n;
        readonly Sepolia: 11155111n;
        readonly ArbitrumSepolia: 421614n;
        readonly BaseSepolia: 84532n;
        readonly OptimismSepolia: 11155420n;
        readonly PolygonSepolia: 80002n;
        readonly Holesky: 17000n;
        readonly Neutron: "pion-1";
        readonly Celestia: "mocha-4";
        readonly Seda: "seda-1-testnet";
        readonly Noble: "grand-1";
        readonly Blast: 168587773n;
        readonly Mantle: 5003n;
        readonly Scroll: 534351n;
        readonly Berachain: 80084n;
        readonly Snaxchain: 13001n;
        readonly Unichain: 1301n;
        readonly Worldchain: 4801n;
        readonly Ink: 763373n;
        readonly Xlayer: 195n;
        readonly Linea: 59141n;
        readonly MonadDevnet: 41454n;
    };
    readonly Devnet: {
        readonly Aptos: 0n;
        readonly Algorand: "sandnet-v1.0";
        readonly Bsc: 1397n;
        readonly Ethereum: 1337n;
        readonly Injective: "injective_devnet_fake";
        readonly Solana: "8wF6jKV3cKwyaVkWcoV9KpDqmkjvEYno9hKZrKx8TbZn";
    };
}[K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1] extends infer T_1 ? T_1 extends {
    readonly Mainnet: {
        readonly Aptos: 1n;
        readonly Algorand: "mainnet-v1.0";
        readonly Near: "mainnet";
        readonly Cosmoshub: "cosmoshub-4";
        readonly Evmos: "evmos_9001-2";
        readonly Injective: "injective-1";
        readonly Osmosis: "osmosis-1";
        readonly Sei: "pacific-1";
        readonly Terra: "columbus-5";
        readonly Terra2: "phoenix-1";
        readonly Wormchain: "wormchain";
        readonly Xpla: "dimension_37-1";
        readonly Kujira: "kaiyo-1";
        readonly Solana: "5eykt4UsFv8P8NJdTREpY1vzqKqZKvdpKuc147dw2N9d";
        readonly Sui: "35834a8a";
        readonly Acala: 787n;
        readonly Arbitrum: 42161n;
        readonly Aurora: 1313161554n;
        readonly Avalanche: 43114n;
        readonly Base: 8453n;
        readonly Bsc: 56n;
        readonly Celo: 42220n;
        readonly Ethereum: 1n;
        readonly Fantom: 250n;
        readonly Gnosis: 100n;
        readonly Karura: 686n;
        readonly Klaytn: 8217n;
        readonly Moonbeam: 1284n;
        readonly Neon: 245022934n;
        readonly Oasis: 42262n;
        readonly Optimism: 10n;
        readonly Polygon: 137n;
        readonly Rootstock: 30n;
        readonly Neutron: "neutron-1";
        readonly Stargaze: "stargaze-1";
        readonly Celestia: "celestia";
        readonly Dymension: "dymension_1100-1";
        readonly Provenance: "pio-mainnet-1";
        readonly Noble: "noble-1";
        readonly Xlayer: 196n;
        readonly Mantle: 5000n;
        readonly Scroll: 534352n;
        readonly Blast: 81457n;
        readonly Linea: 59144n;
        readonly Snaxchain: 2192n;
        readonly Worldchain: 480n;
    };
    readonly Testnet: {
        readonly Aptos: 2n;
        readonly Algorand: "testnet-v1.0";
        readonly Near: "testnet";
        readonly Cosmoshub: "theta-testnet-001";
        readonly Evmos: "evmos_9000-4";
        readonly Injective: "injective-888";
        readonly Osmosis: "osmo-test-5";
        readonly Sei: "atlantic-2";
        readonly Terra: "bombay-12";
        readonly Terra2: "pisco-1";
        readonly Wormchain: "wormchain-testnet-0";
        readonly Xpla: "cube_47-5";
        readonly Kujira: "harpoon-4";
        readonly Solana: "EtWTRABZaYq6iMfeYKouRu166VU2xqa1wcaWoxPkrZBG";
        readonly Sui: "4c78adac";
        readonly Acala: 597n;
        readonly Arbitrum: 421613n;
        readonly Aurora: 1313161555n;
        readonly Avalanche: 43113n;
        readonly Base: 84531n;
        readonly Bsc: 97n;
        readonly Celo: 44787n;
        readonly Ethereum: 5n;
        readonly Fantom: 4002n;
        readonly Gnosis: 10200n;
        readonly Karura: 596n;
        readonly Klaytn: 1001n;
        readonly Moonbeam: 1287n;
        readonly Neon: 245022940n;
        readonly Oasis: 42261n;
        readonly Optimism: 420n;
        readonly Polygon: 80001n;
        readonly Rootstock: 31n;
        readonly Sepolia: 11155111n;
        readonly ArbitrumSepolia: 421614n;
        readonly BaseSepolia: 84532n;
        readonly OptimismSepolia: 11155420n;
        readonly PolygonSepolia: 80002n;
        readonly Holesky: 17000n;
        readonly Neutron: "pion-1";
        readonly Celestia: "mocha-4";
        readonly Seda: "seda-1-testnet";
        readonly Noble: "grand-1";
        readonly Blast: 168587773n;
        readonly Mantle: 5003n;
        readonly Scroll: 534351n;
        readonly Berachain: 80084n;
        readonly Snaxchain: 13001n;
        readonly Unichain: 1301n;
        readonly Worldchain: 4801n;
        readonly Ink: 763373n;
        readonly Xlayer: 195n;
        readonly Linea: 59141n;
        readonly MonadDevnet: 41454n;
    };
    readonly Devnet: {
        readonly Aptos: 0n;
        readonly Algorand: "sandnet-v1.0";
        readonly Bsc: 1397n;
        readonly Ethereum: 1337n;
        readonly Injective: "injective_devnet_fake";
        readonly Solana: "8wF6jKV3cKwyaVkWcoV9KpDqmkjvEYno9hKZrKx8TbZn";
    };
}[K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1] ? T_1 extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? T_1[K2 extends bigint ? `bigint(${K2})` : K2 extends boolean ? `boolean(${K2})` : K2] : never : never : never) & {
    readonly has: (args_0: string, args_1: string) => boolean;
    readonly get: (args_0: string, args_1: string) => 0n | 10n | 1n | "mainnet-v1.0" | "mainnet" | "cosmoshub-4" | "evmos_9001-2" | "injective-1" | "osmosis-1" | "pacific-1" | "columbus-5" | "phoenix-1" | "wormchain" | "dimension_37-1" | "kaiyo-1" | "5eykt4UsFv8P8NJdTREpY1vzqKqZKvdpKuc147dw2N9d" | "35834a8a" | 787n | 42161n | 1313161554n | 43114n | 8453n | 56n | 42220n | 250n | 100n | 686n | 8217n | 1284n | 245022934n | 42262n | 137n | 30n | "neutron-1" | "stargaze-1" | "celestia" | "dymension_1100-1" | "pio-mainnet-1" | "noble-1" | 196n | 5000n | 534352n | 81457n | 59144n | 2192n | 480n | 2n | "testnet-v1.0" | "testnet" | "theta-testnet-001" | "evmos_9000-4" | "injective-888" | "osmo-test-5" | "atlantic-2" | "bombay-12" | "pisco-1" | "wormchain-testnet-0" | "cube_47-5" | "harpoon-4" | "EtWTRABZaYq6iMfeYKouRu166VU2xqa1wcaWoxPkrZBG" | "4c78adac" | 597n | 421613n | 1313161555n | 43113n | 84531n | 97n | 44787n | 5n | 4002n | 10200n | 596n | 1001n | 1287n | 245022940n | 42261n | 420n | 80001n | 31n | 11155111n | 421614n | 84532n | 11155420n | 80002n | 17000n | "pion-1" | "mocha-4" | "seda-1-testnet" | "grand-1" | 168587773n | 5003n | 534351n | 80084n | 13001n | 1301n | 4801n | 763373n | 195n | 59141n | 41454n | "sandnet-v1.0" | 1397n | 1337n | "injective_devnet_fake" | "8wF6jKV3cKwyaVkWcoV9KpDqmkjvEYno9hKZrKx8TbZn" | undefined;
} & {
    readonly subMap: <const K extends "Mainnet" | "Testnet" | "Devnet">(key: K) => (K extends bigint ? `bigint(${K})` : K extends boolean ? `boolean(${K})` : K) extends infer T_2 ? T_2 extends (K extends bigint ? `bigint(${K})` : K extends boolean ? `boolean(${K})` : K) ? T_2 extends "Mainnet" | "Testnet" | "Devnet" ? {
        readonly Mainnet: {
            readonly Aptos: 1n;
            readonly Algorand: "mainnet-v1.0";
            readonly Near: "mainnet";
            readonly Cosmoshub: "cosmoshub-4";
            readonly Evmos: "evmos_9001-2";
            readonly Injective: "injective-1";
            readonly Osmosis: "osmosis-1";
            readonly Sei: "pacific-1";
            readonly Terra: "columbus-5";
            readonly Terra2: "phoenix-1";
            readonly Wormchain: "wormchain";
            readonly Xpla: "dimension_37-1";
            readonly Kujira: "kaiyo-1";
            readonly Solana: "5eykt4UsFv8P8NJdTREpY1vzqKqZKvdpKuc147dw2N9d";
            readonly Sui: "35834a8a";
            readonly Acala: 787n;
            readonly Arbitrum: 42161n;
            readonly Aurora: 1313161554n;
            readonly Avalanche: 43114n;
            readonly Base: 8453n;
            readonly Bsc: 56n;
            readonly Celo: 42220n;
            readonly Ethereum: 1n;
            readonly Fantom: 250n;
            readonly Gnosis: 100n;
            readonly Karura: 686n;
            readonly Klaytn: 8217n;
            readonly Moonbeam: 1284n;
            readonly Neon: 245022934n;
            readonly Oasis: 42262n;
            readonly Optimism: 10n;
            readonly Polygon: 137n;
            readonly Rootstock: 30n;
            readonly Neutron: "neutron-1";
            readonly Stargaze: "stargaze-1";
            readonly Celestia: "celestia";
            readonly Dymension: "dymension_1100-1";
            readonly Provenance: "pio-mainnet-1";
            readonly Noble: "noble-1";
            readonly Xlayer: 196n;
            readonly Mantle: 5000n;
            readonly Scroll: 534352n;
            readonly Blast: 81457n;
            readonly Linea: 59144n;
            readonly Snaxchain: 2192n;
            readonly Worldchain: 480n;
        };
        readonly Testnet: {
            readonly Aptos: 2n;
            readonly Algorand: "testnet-v1.0";
            readonly Near: "testnet";
            readonly Cosmoshub: "theta-testnet-001";
            readonly Evmos: "evmos_9000-4";
            readonly Injective: "injective-888";
            readonly Osmosis: "osmo-test-5";
            readonly Sei: "atlantic-2";
            readonly Terra: "bombay-12";
            readonly Terra2: "pisco-1";
            readonly Wormchain: "wormchain-testnet-0";
            readonly Xpla: "cube_47-5";
            readonly Kujira: "harpoon-4";
            readonly Solana: "EtWTRABZaYq6iMfeYKouRu166VU2xqa1wcaWoxPkrZBG";
            readonly Sui: "4c78adac";
            readonly Acala: 597n;
            readonly Arbitrum: 421613n;
            readonly Aurora: 1313161555n;
            readonly Avalanche: 43113n;
            readonly Base: 84531n;
            readonly Bsc: 97n;
            readonly Celo: 44787n;
            readonly Ethereum: 5n;
            readonly Fantom: 4002n;
            readonly Gnosis: 10200n;
            readonly Karura: 596n;
            readonly Klaytn: 1001n;
            readonly Moonbeam: 1287n;
            readonly Neon: 245022940n;
            readonly Oasis: 42261n;
            readonly Optimism: 420n;
            readonly Polygon: 80001n;
            readonly Rootstock: 31n;
            readonly Sepolia: 11155111n;
            readonly ArbitrumSepolia: 421614n;
            readonly BaseSepolia: 84532n;
            readonly OptimismSepolia: 11155420n;
            readonly PolygonSepolia: 80002n;
            readonly Holesky: 17000n;
            readonly Neutron: "pion-1";
            readonly Celestia: "mocha-4";
            readonly Seda: "seda-1-testnet";
            readonly Noble: "grand-1";
            readonly Blast: 168587773n;
            readonly Mantle: 5003n;
            readonly Scroll: 534351n;
            readonly Berachain: 80084n;
            readonly Snaxchain: 13001n;
            readonly Unichain: 1301n;
            readonly Worldchain: 4801n;
            readonly Ink: 763373n;
            readonly Xlayer: 195n;
            readonly Linea: 59141n;
            readonly MonadDevnet: 41454n;
        };
        readonly Devnet: {
            readonly Aptos: 0n;
            readonly Algorand: "sandnet-v1.0";
            readonly Bsc: 1397n;
            readonly Ethereum: 1337n;
            readonly Injective: "injective_devnet_fake";
            readonly Solana: "8wF6jKV3cKwyaVkWcoV9KpDqmkjvEYno9hKZrKx8TbZn";
        };
    }[T_2] extends {
        [key: string]: unknown;
        [key: number]: unknown;
        [key: symbol]: unknown;
    } ? (<const K1_1 extends keyof {
        readonly Mainnet: {
            readonly Aptos: 1n;
            readonly Algorand: "mainnet-v1.0";
            readonly Near: "mainnet";
            readonly Cosmoshub: "cosmoshub-4";
            readonly Evmos: "evmos_9001-2";
            readonly Injective: "injective-1";
            readonly Osmosis: "osmosis-1";
            readonly Sei: "pacific-1";
            readonly Terra: "columbus-5";
            readonly Terra2: "phoenix-1";
            readonly Wormchain: "wormchain";
            readonly Xpla: "dimension_37-1";
            readonly Kujira: "kaiyo-1";
            readonly Solana: "5eykt4UsFv8P8NJdTREpY1vzqKqZKvdpKuc147dw2N9d";
            readonly Sui: "35834a8a";
            readonly Acala: 787n;
            readonly Arbitrum: 42161n;
            readonly Aurora: 1313161554n;
            readonly Avalanche: 43114n;
            readonly Base: 8453n;
            readonly Bsc: 56n;
            readonly Celo: 42220n;
            readonly Ethereum: 1n;
            readonly Fantom: 250n;
            readonly Gnosis: 100n;
            readonly Karura: 686n;
            readonly Klaytn: 8217n;
            readonly Moonbeam: 1284n;
            readonly Neon: 245022934n;
            readonly Oasis: 42262n;
            readonly Optimism: 10n;
            readonly Polygon: 137n;
            readonly Rootstock: 30n;
            readonly Neutron: "neutron-1";
            readonly Stargaze: "stargaze-1";
            readonly Celestia: "celestia";
            readonly Dymension: "dymension_1100-1";
            readonly Provenance: "pio-mainnet-1";
            readonly Noble: "noble-1";
            readonly Xlayer: 196n;
            readonly Mantle: 5000n;
            readonly Scroll: 534352n;
            readonly Blast: 81457n;
            readonly Linea: 59144n;
            readonly Snaxchain: 2192n;
            readonly Worldchain: 480n;
        };
        readonly Testnet: {
            readonly Aptos: 2n;
            readonly Algorand: "testnet-v1.0";
            readonly Near: "testnet";
            readonly Cosmoshub: "theta-testnet-001";
            readonly Evmos: "evmos_9000-4";
            readonly Injective: "injective-888";
            readonly Osmosis: "osmo-test-5";
            readonly Sei: "atlantic-2";
            readonly Terra: "bombay-12";
            readonly Terra2: "pisco-1";
            readonly Wormchain: "wormchain-testnet-0";
            readonly Xpla: "cube_47-5";
            readonly Kujira: "harpoon-4";
            readonly Solana: "EtWTRABZaYq6iMfeYKouRu166VU2xqa1wcaWoxPkrZBG";
            readonly Sui: "4c78adac";
            readonly Acala: 597n;
            readonly Arbitrum: 421613n;
            readonly Aurora: 1313161555n;
            readonly Avalanche: 43113n;
            readonly Base: 84531n;
            readonly Bsc: 97n;
            readonly Celo: 44787n;
            readonly Ethereum: 5n;
            readonly Fantom: 4002n;
            readonly Gnosis: 10200n;
            readonly Karura: 596n;
            readonly Klaytn: 1001n;
            readonly Moonbeam: 1287n;
            readonly Neon: 245022940n;
            readonly Oasis: 42261n;
            readonly Optimism: 420n;
            readonly Polygon: 80001n;
            readonly Rootstock: 31n;
            readonly Sepolia: 11155111n;
            readonly ArbitrumSepolia: 421614n;
            readonly BaseSepolia: 84532n;
            readonly OptimismSepolia: 11155420n;
            readonly PolygonSepolia: 80002n;
            readonly Holesky: 17000n;
            readonly Neutron: "pion-1";
            readonly Celestia: "mocha-4";
            readonly Seda: "seda-1-testnet";
            readonly Noble: "grand-1";
            readonly Blast: 168587773n;
            readonly Mantle: 5003n;
            readonly Scroll: 534351n;
            readonly Berachain: 80084n;
            readonly Snaxchain: 13001n;
            readonly Unichain: 1301n;
            readonly Worldchain: 4801n;
            readonly Ink: 763373n;
            readonly Xlayer: 195n;
            readonly Linea: 59141n;
            readonly MonadDevnet: 41454n;
        };
        readonly Devnet: {
            readonly Aptos: 0n;
            readonly Algorand: "sandnet-v1.0";
            readonly Bsc: 1397n;
            readonly Ethereum: 1337n;
            readonly Injective: "injective_devnet_fake";
            readonly Solana: "8wF6jKV3cKwyaVkWcoV9KpDqmkjvEYno9hKZrKx8TbZn";
        };
    }[T_2] extends infer T_3 ? T_3 extends keyof {
        readonly Mainnet: {
            readonly Aptos: 1n;
            readonly Algorand: "mainnet-v1.0";
            readonly Near: "mainnet";
            readonly Cosmoshub: "cosmoshub-4";
            readonly Evmos: "evmos_9001-2";
            readonly Injective: "injective-1";
            readonly Osmosis: "osmosis-1";
            readonly Sei: "pacific-1";
            readonly Terra: "columbus-5";
            readonly Terra2: "phoenix-1";
            readonly Wormchain: "wormchain";
            readonly Xpla: "dimension_37-1";
            readonly Kujira: "kaiyo-1";
            readonly Solana: "5eykt4UsFv8P8NJdTREpY1vzqKqZKvdpKuc147dw2N9d";
            readonly Sui: "35834a8a";
            readonly Acala: 787n;
            readonly Arbitrum: 42161n;
            readonly Aurora: 1313161554n;
            readonly Avalanche: 43114n;
            readonly Base: 8453n;
            readonly Bsc: 56n;
            readonly Celo: 42220n;
            readonly Ethereum: 1n;
            readonly Fantom: 250n;
            readonly Gnosis: 100n;
            readonly Karura: 686n;
            readonly Klaytn: 8217n;
            readonly Moonbeam: 1284n;
            readonly Neon: 245022934n;
            readonly Oasis: 42262n;
            readonly Optimism: 10n;
            readonly Polygon: 137n;
            readonly Rootstock: 30n;
            readonly Neutron: "neutron-1";
            readonly Stargaze: "stargaze-1";
            readonly Celestia: "celestia";
            readonly Dymension: "dymension_1100-1";
            readonly Provenance: "pio-mainnet-1";
            readonly Noble: "noble-1";
            readonly Xlayer: 196n;
            readonly Mantle: 5000n;
            readonly Scroll: 534352n;
            readonly Blast: 81457n;
            readonly Linea: 59144n;
            readonly Snaxchain: 2192n;
            readonly Worldchain: 480n;
        };
        readonly Testnet: {
            readonly Aptos: 2n;
            readonly Algorand: "testnet-v1.0";
            readonly Near: "testnet";
            readonly Cosmoshub: "theta-testnet-001";
            readonly Evmos: "evmos_9000-4";
            readonly Injective: "injective-888";
            readonly Osmosis: "osmo-test-5";
            readonly Sei: "atlantic-2";
            readonly Terra: "bombay-12";
            readonly Terra2: "pisco-1";
            readonly Wormchain: "wormchain-testnet-0";
            readonly Xpla: "cube_47-5";
            readonly Kujira: "harpoon-4";
            readonly Solana: "EtWTRABZaYq6iMfeYKouRu166VU2xqa1wcaWoxPkrZBG";
            readonly Sui: "4c78adac";
            readonly Acala: 597n;
            readonly Arbitrum: 421613n;
            readonly Aurora: 1313161555n;
            readonly Avalanche: 43113n;
            readonly Base: 84531n;
            readonly Bsc: 97n;
            readonly Celo: 44787n;
            readonly Ethereum: 5n;
            readonly Fantom: 4002n;
            readonly Gnosis: 10200n;
            readonly Karura: 596n;
            readonly Klaytn: 1001n;
            readonly Moonbeam: 1287n;
            readonly Neon: 245022940n;
            readonly Oasis: 42261n;
            readonly Optimism: 420n;
            readonly Polygon: 80001n;
            readonly Rootstock: 31n;
            readonly Sepolia: 11155111n;
            readonly ArbitrumSepolia: 421614n;
            readonly BaseSepolia: 84532n;
            readonly OptimismSepolia: 11155420n;
            readonly PolygonSepolia: 80002n;
            readonly Holesky: 17000n;
            readonly Neutron: "pion-1";
            readonly Celestia: "mocha-4";
            readonly Seda: "seda-1-testnet";
            readonly Noble: "grand-1";
            readonly Blast: 168587773n;
            readonly Mantle: 5003n;
            readonly Scroll: 534351n;
            readonly Berachain: 80084n;
            readonly Snaxchain: 13001n;
            readonly Unichain: 1301n;
            readonly Worldchain: 4801n;
            readonly Ink: 763373n;
            readonly Xlayer: 195n;
            readonly Linea: 59141n;
            readonly MonadDevnet: 41454n;
        };
        readonly Devnet: {
            readonly Aptos: 0n;
            readonly Algorand: "sandnet-v1.0";
            readonly Bsc: 1397n;
            readonly Ethereum: 1337n;
            readonly Injective: "injective_devnet_fake";
            readonly Solana: "8wF6jKV3cKwyaVkWcoV9KpDqmkjvEYno9hKZrKx8TbZn";
        };
    }[T_2] ? T_3 extends `bigint(${infer V extends bigint})` ? V : T_3 extends `boolean(${infer V_1 extends boolean})` ? V_1 : T_3 : never : never>(args_0: K1_1) => {
        readonly Mainnet: {
            readonly Aptos: 1n;
            readonly Algorand: "mainnet-v1.0";
            readonly Near: "mainnet";
            readonly Cosmoshub: "cosmoshub-4";
            readonly Evmos: "evmos_9001-2";
            readonly Injective: "injective-1";
            readonly Osmosis: "osmosis-1";
            readonly Sei: "pacific-1";
            readonly Terra: "columbus-5";
            readonly Terra2: "phoenix-1";
            readonly Wormchain: "wormchain";
            readonly Xpla: "dimension_37-1";
            readonly Kujira: "kaiyo-1";
            readonly Solana: "5eykt4UsFv8P8NJdTREpY1vzqKqZKvdpKuc147dw2N9d";
            readonly Sui: "35834a8a";
            readonly Acala: 787n;
            readonly Arbitrum: 42161n;
            readonly Aurora: 1313161554n;
            readonly Avalanche: 43114n;
            readonly Base: 8453n;
            readonly Bsc: 56n;
            readonly Celo: 42220n;
            readonly Ethereum: 1n;
            readonly Fantom: 250n;
            readonly Gnosis: 100n;
            readonly Karura: 686n;
            readonly Klaytn: 8217n;
            readonly Moonbeam: 1284n;
            readonly Neon: 245022934n;
            readonly Oasis: 42262n;
            readonly Optimism: 10n;
            readonly Polygon: 137n;
            readonly Rootstock: 30n;
            readonly Neutron: "neutron-1";
            readonly Stargaze: "stargaze-1";
            readonly Celestia: "celestia";
            readonly Dymension: "dymension_1100-1";
            readonly Provenance: "pio-mainnet-1";
            readonly Noble: "noble-1";
            readonly Xlayer: 196n;
            readonly Mantle: 5000n;
            readonly Scroll: 534352n;
            readonly Blast: 81457n;
            readonly Linea: 59144n;
            readonly Snaxchain: 2192n;
            readonly Worldchain: 480n;
        };
        readonly Testnet: {
            readonly Aptos: 2n;
            readonly Algorand: "testnet-v1.0";
            readonly Near: "testnet";
            readonly Cosmoshub: "theta-testnet-001";
            readonly Evmos: "evmos_9000-4";
            readonly Injective: "injective-888";
            readonly Osmosis: "osmo-test-5";
            readonly Sei: "atlantic-2";
            readonly Terra: "bombay-12";
            readonly Terra2: "pisco-1";
            readonly Wormchain: "wormchain-testnet-0";
            readonly Xpla: "cube_47-5";
            readonly Kujira: "harpoon-4";
            readonly Solana: "EtWTRABZaYq6iMfeYKouRu166VU2xqa1wcaWoxPkrZBG";
            readonly Sui: "4c78adac";
            readonly Acala: 597n;
            readonly Arbitrum: 421613n;
            readonly Aurora: 1313161555n;
            readonly Avalanche: 43113n;
            readonly Base: 84531n;
            readonly Bsc: 97n;
            readonly Celo: 44787n;
            readonly Ethereum: 5n;
            readonly Fantom: 4002n;
            readonly Gnosis: 10200n;
            readonly Karura: 596n;
            readonly Klaytn: 1001n;
            readonly Moonbeam: 1287n;
            readonly Neon: 245022940n;
            readonly Oasis: 42261n;
            readonly Optimism: 420n;
            readonly Polygon: 80001n;
            readonly Rootstock: 31n;
            readonly Sepolia: 11155111n;
            readonly ArbitrumSepolia: 421614n;
            readonly BaseSepolia: 84532n;
            readonly OptimismSepolia: 11155420n;
            readonly PolygonSepolia: 80002n;
            readonly Holesky: 17000n;
            readonly Neutron: "pion-1";
            readonly Celestia: "mocha-4";
            readonly Seda: "seda-1-testnet";
            readonly Noble: "grand-1";
            readonly Blast: 168587773n;
            readonly Mantle: 5003n;
            readonly Scroll: 534351n;
            readonly Berachain: 80084n;
            readonly Snaxchain: 13001n;
            readonly Unichain: 1301n;
            readonly Worldchain: 4801n;
            readonly Ink: 763373n;
            readonly Xlayer: 195n;
            readonly Linea: 59141n;
            readonly MonadDevnet: 41454n;
        };
        readonly Devnet: {
            readonly Aptos: 0n;
            readonly Algorand: "sandnet-v1.0";
            readonly Bsc: 1397n;
            readonly Ethereum: 1337n;
            readonly Injective: "injective_devnet_fake";
            readonly Solana: "8wF6jKV3cKwyaVkWcoV9KpDqmkjvEYno9hKZrKx8TbZn";
        };
    }[T_2] extends infer T_4 ? T_4 extends {
        readonly Mainnet: {
            readonly Aptos: 1n;
            readonly Algorand: "mainnet-v1.0";
            readonly Near: "mainnet";
            readonly Cosmoshub: "cosmoshub-4";
            readonly Evmos: "evmos_9001-2";
            readonly Injective: "injective-1";
            readonly Osmosis: "osmosis-1";
            readonly Sei: "pacific-1";
            readonly Terra: "columbus-5";
            readonly Terra2: "phoenix-1";
            readonly Wormchain: "wormchain";
            readonly Xpla: "dimension_37-1";
            readonly Kujira: "kaiyo-1";
            readonly Solana: "5eykt4UsFv8P8NJdTREpY1vzqKqZKvdpKuc147dw2N9d";
            readonly Sui: "35834a8a";
            readonly Acala: 787n;
            readonly Arbitrum: 42161n;
            readonly Aurora: 1313161554n;
            readonly Avalanche: 43114n;
            readonly Base: 8453n;
            readonly Bsc: 56n;
            readonly Celo: 42220n;
            readonly Ethereum: 1n;
            readonly Fantom: 250n;
            readonly Gnosis: 100n;
            readonly Karura: 686n;
            readonly Klaytn: 8217n;
            readonly Moonbeam: 1284n;
            readonly Neon: 245022934n;
            readonly Oasis: 42262n;
            readonly Optimism: 10n;
            readonly Polygon: 137n;
            readonly Rootstock: 30n;
            readonly Neutron: "neutron-1";
            readonly Stargaze: "stargaze-1";
            readonly Celestia: "celestia";
            readonly Dymension: "dymension_1100-1";
            readonly Provenance: "pio-mainnet-1";
            readonly Noble: "noble-1";
            readonly Xlayer: 196n;
            readonly Mantle: 5000n;
            readonly Scroll: 534352n;
            readonly Blast: 81457n;
            readonly Linea: 59144n;
            readonly Snaxchain: 2192n;
            readonly Worldchain: 480n;
        };
        readonly Testnet: {
            readonly Aptos: 2n;
            readonly Algorand: "testnet-v1.0";
            readonly Near: "testnet";
            readonly Cosmoshub: "theta-testnet-001";
            readonly Evmos: "evmos_9000-4";
            readonly Injective: "injective-888";
            readonly Osmosis: "osmo-test-5";
            readonly Sei: "atlantic-2";
            readonly Terra: "bombay-12";
            readonly Terra2: "pisco-1";
            readonly Wormchain: "wormchain-testnet-0";
            readonly Xpla: "cube_47-5";
            readonly Kujira: "harpoon-4";
            readonly Solana: "EtWTRABZaYq6iMfeYKouRu166VU2xqa1wcaWoxPkrZBG";
            readonly Sui: "4c78adac";
            readonly Acala: 597n;
            readonly Arbitrum: 421613n;
            readonly Aurora: 1313161555n;
            readonly Avalanche: 43113n;
            readonly Base: 84531n;
            readonly Bsc: 97n;
            readonly Celo: 44787n;
            readonly Ethereum: 5n;
            readonly Fantom: 4002n;
            readonly Gnosis: 10200n;
            readonly Karura: 596n;
            readonly Klaytn: 1001n;
            readonly Moonbeam: 1287n;
            readonly Neon: 245022940n;
            readonly Oasis: 42261n;
            readonly Optimism: 420n;
            readonly Polygon: 80001n;
            readonly Rootstock: 31n;
            readonly Sepolia: 11155111n;
            readonly ArbitrumSepolia: 421614n;
            readonly BaseSepolia: 84532n;
            readonly OptimismSepolia: 11155420n;
            readonly PolygonSepolia: 80002n;
            readonly Holesky: 17000n;
            readonly Neutron: "pion-1";
            readonly Celestia: "mocha-4";
            readonly Seda: "seda-1-testnet";
            readonly Noble: "grand-1";
            readonly Blast: 168587773n;
            readonly Mantle: 5003n;
            readonly Scroll: 534351n;
            readonly Berachain: 80084n;
            readonly Snaxchain: 13001n;
            readonly Unichain: 1301n;
            readonly Worldchain: 4801n;
            readonly Ink: 763373n;
            readonly Xlayer: 195n;
            readonly Linea: 59141n;
            readonly MonadDevnet: 41454n;
        };
        readonly Devnet: {
            readonly Aptos: 0n;
            readonly Algorand: "sandnet-v1.0";
            readonly Bsc: 1397n;
            readonly Ethereum: 1337n;
            readonly Injective: "injective_devnet_fake";
            readonly Solana: "8wF6jKV3cKwyaVkWcoV9KpDqmkjvEYno9hKZrKx8TbZn";
        };
    }[T_2] ? T_4 extends {
        [key: string]: unknown;
        [key: number]: unknown;
        [key: symbol]: unknown;
    } ? T_4[K1_1 extends bigint ? `bigint(${K1_1})` : K1_1 extends boolean ? `boolean(${K1_1})` : K1_1] : never : never : never) & {
        readonly has: (args_0: Widen<({
            readonly Mainnet: {
                readonly Aptos: 1n;
                readonly Algorand: "mainnet-v1.0";
                readonly Near: "mainnet";
                readonly Cosmoshub: "cosmoshub-4";
                readonly Evmos: "evmos_9001-2";
                readonly Injective: "injective-1";
                readonly Osmosis: "osmosis-1";
                readonly Sei: "pacific-1";
                readonly Terra: "columbus-5";
                readonly Terra2: "phoenix-1";
                readonly Wormchain: "wormchain";
                readonly Xpla: "dimension_37-1";
                readonly Kujira: "kaiyo-1";
                readonly Solana: "5eykt4UsFv8P8NJdTREpY1vzqKqZKvdpKuc147dw2N9d";
                readonly Sui: "35834a8a";
                readonly Acala: 787n;
                readonly Arbitrum: 42161n;
                readonly Aurora: 1313161554n;
                readonly Avalanche: 43114n;
                readonly Base: 8453n;
                readonly Bsc: 56n;
                readonly Celo: 42220n;
                readonly Ethereum: 1n;
                readonly Fantom: 250n;
                readonly Gnosis: 100n;
                readonly Karura: 686n;
                readonly Klaytn: 8217n;
                readonly Moonbeam: 1284n;
                readonly Neon: 245022934n;
                readonly Oasis: 42262n;
                readonly Optimism: 10n;
                readonly Polygon: 137n;
                readonly Rootstock: 30n;
                readonly Neutron: "neutron-1";
                readonly Stargaze: "stargaze-1";
                readonly Celestia: "celestia";
                readonly Dymension: "dymension_1100-1";
                readonly Provenance: "pio-mainnet-1";
                readonly Noble: "noble-1";
                readonly Xlayer: 196n;
                readonly Mantle: 5000n;
                readonly Scroll: 534352n;
                readonly Blast: 81457n;
                readonly Linea: 59144n;
                readonly Snaxchain: 2192n;
                readonly Worldchain: 480n;
            };
            readonly Testnet: {
                readonly Aptos: 2n;
                readonly Algorand: "testnet-v1.0";
                readonly Near: "testnet";
                readonly Cosmoshub: "theta-testnet-001";
                readonly Evmos: "evmos_9000-4";
                readonly Injective: "injective-888";
                readonly Osmosis: "osmo-test-5";
                readonly Sei: "atlantic-2";
                readonly Terra: "bombay-12";
                readonly Terra2: "pisco-1";
                readonly Wormchain: "wormchain-testnet-0";
                readonly Xpla: "cube_47-5";
                readonly Kujira: "harpoon-4";
                readonly Solana: "EtWTRABZaYq6iMfeYKouRu166VU2xqa1wcaWoxPkrZBG";
                readonly Sui: "4c78adac";
                readonly Acala: 597n;
                readonly Arbitrum: 421613n;
                readonly Aurora: 1313161555n;
                readonly Avalanche: 43113n;
                readonly Base: 84531n;
                readonly Bsc: 97n;
                readonly Celo: 44787n;
                readonly Ethereum: 5n;
                readonly Fantom: 4002n;
                readonly Gnosis: 10200n;
                readonly Karura: 596n;
                readonly Klaytn: 1001n;
                readonly Moonbeam: 1287n;
                readonly Neon: 245022940n;
                readonly Oasis: 42261n;
                readonly Optimism: 420n;
                readonly Polygon: 80001n;
                readonly Rootstock: 31n;
                readonly Sepolia: 11155111n;
                readonly ArbitrumSepolia: 421614n;
                readonly BaseSepolia: 84532n;
                readonly OptimismSepolia: 11155420n;
                readonly PolygonSepolia: 80002n;
                readonly Holesky: 17000n;
                readonly Neutron: "pion-1";
                readonly Celestia: "mocha-4";
                readonly Seda: "seda-1-testnet";
                readonly Noble: "grand-1";
                readonly Blast: 168587773n;
                readonly Mantle: 5003n;
                readonly Scroll: 534351n;
                readonly Berachain: 80084n;
                readonly Snaxchain: 13001n;
                readonly Unichain: 1301n;
                readonly Worldchain: 4801n;
                readonly Ink: 763373n;
                readonly Xlayer: 195n;
                readonly Linea: 59141n;
                readonly MonadDevnet: 41454n;
            };
            readonly Devnet: {
                readonly Aptos: 0n;
                readonly Algorand: "sandnet-v1.0";
                readonly Bsc: 1397n;
                readonly Ethereum: 1337n;
                readonly Injective: "injective_devnet_fake";
                readonly Solana: "8wF6jKV3cKwyaVkWcoV9KpDqmkjvEYno9hKZrKx8TbZn";
            };
        }[T_2] extends infer T_5 ? T_5 extends {
            readonly Mainnet: {
                readonly Aptos: 1n;
                readonly Algorand: "mainnet-v1.0";
                readonly Near: "mainnet";
                readonly Cosmoshub: "cosmoshub-4";
                readonly Evmos: "evmos_9001-2";
                readonly Injective: "injective-1";
                readonly Osmosis: "osmosis-1";
                readonly Sei: "pacific-1";
                readonly Terra: "columbus-5";
                readonly Terra2: "phoenix-1";
                readonly Wormchain: "wormchain";
                readonly Xpla: "dimension_37-1";
                readonly Kujira: "kaiyo-1";
                readonly Solana: "5eykt4UsFv8P8NJdTREpY1vzqKqZKvdpKuc147dw2N9d";
                readonly Sui: "35834a8a";
                readonly Acala: 787n;
                readonly Arbitrum: 42161n;
                readonly Aurora: 1313161554n;
                readonly Avalanche: 43114n;
                readonly Base: 8453n;
                readonly Bsc: 56n;
                readonly Celo: 42220n;
                readonly Ethereum: 1n;
                readonly Fantom: 250n;
                readonly Gnosis: 100n;
                readonly Karura: 686n;
                readonly Klaytn: 8217n;
                readonly Moonbeam: 1284n;
                readonly Neon: 245022934n;
                readonly Oasis: 42262n;
                readonly Optimism: 10n;
                readonly Polygon: 137n;
                readonly Rootstock: 30n;
                readonly Neutron: "neutron-1";
                readonly Stargaze: "stargaze-1";
                readonly Celestia: "celestia";
                readonly Dymension: "dymension_1100-1";
                readonly Provenance: "pio-mainnet-1";
                readonly Noble: "noble-1";
                readonly Xlayer: 196n;
                readonly Mantle: 5000n;
                readonly Scroll: 534352n;
                readonly Blast: 81457n;
                readonly Linea: 59144n;
                readonly Snaxchain: 2192n;
                readonly Worldchain: 480n;
            };
            readonly Testnet: {
                readonly Aptos: 2n;
                readonly Algorand: "testnet-v1.0";
                readonly Near: "testnet";
                readonly Cosmoshub: "theta-testnet-001";
                readonly Evmos: "evmos_9000-4";
                readonly Injective: "injective-888";
                readonly Osmosis: "osmo-test-5";
                readonly Sei: "atlantic-2";
                readonly Terra: "bombay-12";
                readonly Terra2: "pisco-1";
                readonly Wormchain: "wormchain-testnet-0";
                readonly Xpla: "cube_47-5";
                readonly Kujira: "harpoon-4";
                readonly Solana: "EtWTRABZaYq6iMfeYKouRu166VU2xqa1wcaWoxPkrZBG";
                readonly Sui: "4c78adac";
                readonly Acala: 597n;
                readonly Arbitrum: 421613n;
                readonly Aurora: 1313161555n;
                readonly Avalanche: 43113n;
                readonly Base: 84531n;
                readonly Bsc: 97n;
                readonly Celo: 44787n;
                readonly Ethereum: 5n;
                readonly Fantom: 4002n;
                readonly Gnosis: 10200n;
                readonly Karura: 596n;
                readonly Klaytn: 1001n;
                readonly Moonbeam: 1287n;
                readonly Neon: 245022940n;
                readonly Oasis: 42261n;
                readonly Optimism: 420n;
                readonly Polygon: 80001n;
                readonly Rootstock: 31n;
                readonly Sepolia: 11155111n;
                readonly ArbitrumSepolia: 421614n;
                readonly BaseSepolia: 84532n;
                readonly OptimismSepolia: 11155420n;
                readonly PolygonSepolia: 80002n;
                readonly Holesky: 17000n;
                readonly Neutron: "pion-1";
                readonly Celestia: "mocha-4";
                readonly Seda: "seda-1-testnet";
                readonly Noble: "grand-1";
                readonly Blast: 168587773n;
                readonly Mantle: 5003n;
                readonly Scroll: 534351n;
                readonly Berachain: 80084n;
                readonly Snaxchain: 13001n;
                readonly Unichain: 1301n;
                readonly Worldchain: 4801n;
                readonly Ink: 763373n;
                readonly Xlayer: 195n;
                readonly Linea: 59141n;
                readonly MonadDevnet: 41454n;
            };
            readonly Devnet: {
                readonly Aptos: 0n;
                readonly Algorand: "sandnet-v1.0";
                readonly Bsc: 1397n;
                readonly Ethereum: 1337n;
                readonly Injective: "injective_devnet_fake";
                readonly Solana: "8wF6jKV3cKwyaVkWcoV9KpDqmkjvEYno9hKZrKx8TbZn";
            };
        }[T_2] ? T_5 extends Object ? keyof T_5 : never : never : never) extends infer T_6 ? T_6 extends ({
            readonly Mainnet: {
                readonly Aptos: 1n;
                readonly Algorand: "mainnet-v1.0";
                readonly Near: "mainnet";
                readonly Cosmoshub: "cosmoshub-4";
                readonly Evmos: "evmos_9001-2";
                readonly Injective: "injective-1";
                readonly Osmosis: "osmosis-1";
                readonly Sei: "pacific-1";
                readonly Terra: "columbus-5";
                readonly Terra2: "phoenix-1";
                readonly Wormchain: "wormchain";
                readonly Xpla: "dimension_37-1";
                readonly Kujira: "kaiyo-1";
                readonly Solana: "5eykt4UsFv8P8NJdTREpY1vzqKqZKvdpKuc147dw2N9d";
                readonly Sui: "35834a8a";
                readonly Acala: 787n;
                readonly Arbitrum: 42161n;
                readonly Aurora: 1313161554n;
                readonly Avalanche: 43114n;
                readonly Base: 8453n;
                readonly Bsc: 56n;
                readonly Celo: 42220n;
                readonly Ethereum: 1n;
                readonly Fantom: 250n;
                readonly Gnosis: 100n;
                readonly Karura: 686n;
                readonly Klaytn: 8217n;
                readonly Moonbeam: 1284n;
                readonly Neon: 245022934n;
                readonly Oasis: 42262n;
                readonly Optimism: 10n;
                readonly Polygon: 137n;
                readonly Rootstock: 30n;
                readonly Neutron: "neutron-1";
                readonly Stargaze: "stargaze-1";
                readonly Celestia: "celestia";
                readonly Dymension: "dymension_1100-1";
                readonly Provenance: "pio-mainnet-1";
                readonly Noble: "noble-1";
                readonly Xlayer: 196n;
                readonly Mantle: 5000n;
                readonly Scroll: 534352n;
                readonly Blast: 81457n;
                readonly Linea: 59144n;
                readonly Snaxchain: 2192n;
                readonly Worldchain: 480n;
            };
            readonly Testnet: {
                readonly Aptos: 2n;
                readonly Algorand: "testnet-v1.0";
                readonly Near: "testnet";
                readonly Cosmoshub: "theta-testnet-001";
                readonly Evmos: "evmos_9000-4";
                readonly Injective: "injective-888";
                readonly Osmosis: "osmo-test-5";
                readonly Sei: "atlantic-2";
                readonly Terra: "bombay-12";
                readonly Terra2: "pisco-1";
                readonly Wormchain: "wormchain-testnet-0";
                readonly Xpla: "cube_47-5";
                readonly Kujira: "harpoon-4";
                readonly Solana: "EtWTRABZaYq6iMfeYKouRu166VU2xqa1wcaWoxPkrZBG";
                readonly Sui: "4c78adac";
                readonly Acala: 597n;
                readonly Arbitrum: 421613n;
                readonly Aurora: 1313161555n;
                readonly Avalanche: 43113n;
                readonly Base: 84531n;
                readonly Bsc: 97n;
                readonly Celo: 44787n;
                readonly Ethereum: 5n;
                readonly Fantom: 4002n;
                readonly Gnosis: 10200n;
                readonly Karura: 596n;
                readonly Klaytn: 1001n;
                readonly Moonbeam: 1287n;
                readonly Neon: 245022940n;
                readonly Oasis: 42261n;
                readonly Optimism: 420n;
                readonly Polygon: 80001n;
                readonly Rootstock: 31n;
                readonly Sepolia: 11155111n;
                readonly ArbitrumSepolia: 421614n;
                readonly BaseSepolia: 84532n;
                readonly OptimismSepolia: 11155420n;
                readonly PolygonSepolia: 80002n;
                readonly Holesky: 17000n;
                readonly Neutron: "pion-1";
                readonly Celestia: "mocha-4";
                readonly Seda: "seda-1-testnet";
                readonly Noble: "grand-1";
                readonly Blast: 168587773n;
                readonly Mantle: 5003n;
                readonly Scroll: 534351n;
                readonly Berachain: 80084n;
                readonly Snaxchain: 13001n;
                readonly Unichain: 1301n;
                readonly Worldchain: 4801n;
                readonly Ink: 763373n;
                readonly Xlayer: 195n;
                readonly Linea: 59141n;
                readonly MonadDevnet: 41454n;
            };
            readonly Devnet: {
                readonly Aptos: 0n;
                readonly Algorand: "sandnet-v1.0";
                readonly Bsc: 1397n;
                readonly Ethereum: 1337n;
                readonly Injective: "injective_devnet_fake";
                readonly Solana: "8wF6jKV3cKwyaVkWcoV9KpDqmkjvEYno9hKZrKx8TbZn";
            };
        }[T_2] extends infer T_5 ? T_5 extends {
            readonly Mainnet: {
                readonly Aptos: 1n;
                readonly Algorand: "mainnet-v1.0";
                readonly Near: "mainnet";
                readonly Cosmoshub: "cosmoshub-4";
                readonly Evmos: "evmos_9001-2";
                readonly Injective: "injective-1";
                readonly Osmosis: "osmosis-1";
                readonly Sei: "pacific-1";
                readonly Terra: "columbus-5";
                readonly Terra2: "phoenix-1";
                readonly Wormchain: "wormchain";
                readonly Xpla: "dimension_37-1";
                readonly Kujira: "kaiyo-1";
                readonly Solana: "5eykt4UsFv8P8NJdTREpY1vzqKqZKvdpKuc147dw2N9d";
                readonly Sui: "35834a8a";
                readonly Acala: 787n;
                readonly Arbitrum: 42161n;
                readonly Aurora: 1313161554n;
                readonly Avalanche: 43114n;
                readonly Base: 8453n;
                readonly Bsc: 56n;
                readonly Celo: 42220n;
                readonly Ethereum: 1n;
                readonly Fantom: 250n;
                readonly Gnosis: 100n;
                readonly Karura: 686n;
                readonly Klaytn: 8217n;
                readonly Moonbeam: 1284n;
                readonly Neon: 245022934n;
                readonly Oasis: 42262n;
                readonly Optimism: 10n;
                readonly Polygon: 137n;
                readonly Rootstock: 30n;
                readonly Neutron: "neutron-1";
                readonly Stargaze: "stargaze-1";
                readonly Celestia: "celestia";
                readonly Dymension: "dymension_1100-1";
                readonly Provenance: "pio-mainnet-1";
                readonly Noble: "noble-1";
                readonly Xlayer: 196n;
                readonly Mantle: 5000n;
                readonly Scroll: 534352n;
                readonly Blast: 81457n;
                readonly Linea: 59144n;
                readonly Snaxchain: 2192n;
                readonly Worldchain: 480n;
            };
            readonly Testnet: {
                readonly Aptos: 2n;
                readonly Algorand: "testnet-v1.0";
                readonly Near: "testnet";
                readonly Cosmoshub: "theta-testnet-001";
                readonly Evmos: "evmos_9000-4";
                readonly Injective: "injective-888";
                readonly Osmosis: "osmo-test-5";
                readonly Sei: "atlantic-2";
                readonly Terra: "bombay-12";
                readonly Terra2: "pisco-1";
                readonly Wormchain: "wormchain-testnet-0";
                readonly Xpla: "cube_47-5";
                readonly Kujira: "harpoon-4";
                readonly Solana: "EtWTRABZaYq6iMfeYKouRu166VU2xqa1wcaWoxPkrZBG";
                readonly Sui: "4c78adac";
                readonly Acala: 597n;
                readonly Arbitrum: 421613n;
                readonly Aurora: 1313161555n;
                readonly Avalanche: 43113n;
                readonly Base: 84531n;
                readonly Bsc: 97n;
                readonly Celo: 44787n;
                readonly Ethereum: 5n;
                readonly Fantom: 4002n;
                readonly Gnosis: 10200n;
                readonly Karura: 596n;
                readonly Klaytn: 1001n;
                readonly Moonbeam: 1287n;
                readonly Neon: 245022940n;
                readonly Oasis: 42261n;
                readonly Optimism: 420n;
                readonly Polygon: 80001n;
                readonly Rootstock: 31n;
                readonly Sepolia: 11155111n;
                readonly ArbitrumSepolia: 421614n;
                readonly BaseSepolia: 84532n;
                readonly OptimismSepolia: 11155420n;
                readonly PolygonSepolia: 80002n;
                readonly Holesky: 17000n;
                readonly Neutron: "pion-1";
                readonly Celestia: "mocha-4";
                readonly Seda: "seda-1-testnet";
                readonly Noble: "grand-1";
                readonly Blast: 168587773n;
                readonly Mantle: 5003n;
                readonly Scroll: 534351n;
                readonly Berachain: 80084n;
                readonly Snaxchain: 13001n;
                readonly Unichain: 1301n;
                readonly Worldchain: 4801n;
                readonly Ink: 763373n;
                readonly Xlayer: 195n;
                readonly Linea: 59141n;
                readonly MonadDevnet: 41454n;
            };
            readonly Devnet: {
                readonly Aptos: 0n;
                readonly Algorand: "sandnet-v1.0";
                readonly Bsc: 1397n;
                readonly Ethereum: 1337n;
                readonly Injective: "injective_devnet_fake";
                readonly Solana: "8wF6jKV3cKwyaVkWcoV9KpDqmkjvEYno9hKZrKx8TbZn";
            };
        }[T_2] ? T_5 extends Object ? keyof T_5 : never : never : never) ? T_6 extends `bigint(${infer V extends bigint})` ? V : T_6 extends `boolean(${infer V_1 extends boolean})` ? V_1 : T_6 : never : never>) => boolean;
        readonly get: (args_0: Widen<({
            readonly Mainnet: {
                readonly Aptos: 1n;
                readonly Algorand: "mainnet-v1.0";
                readonly Near: "mainnet";
                readonly Cosmoshub: "cosmoshub-4";
                readonly Evmos: "evmos_9001-2";
                readonly Injective: "injective-1";
                readonly Osmosis: "osmosis-1";
                readonly Sei: "pacific-1";
                readonly Terra: "columbus-5";
                readonly Terra2: "phoenix-1";
                readonly Wormchain: "wormchain";
                readonly Xpla: "dimension_37-1";
                readonly Kujira: "kaiyo-1";
                readonly Solana: "5eykt4UsFv8P8NJdTREpY1vzqKqZKvdpKuc147dw2N9d";
                readonly Sui: "35834a8a";
                readonly Acala: 787n;
                readonly Arbitrum: 42161n;
                readonly Aurora: 1313161554n;
                readonly Avalanche: 43114n;
                readonly Base: 8453n;
                readonly Bsc: 56n;
                readonly Celo: 42220n;
                readonly Ethereum: 1n;
                readonly Fantom: 250n;
                readonly Gnosis: 100n;
                readonly Karura: 686n;
                readonly Klaytn: 8217n;
                readonly Moonbeam: 1284n;
                readonly Neon: 245022934n;
                readonly Oasis: 42262n;
                readonly Optimism: 10n;
                readonly Polygon: 137n;
                readonly Rootstock: 30n;
                readonly Neutron: "neutron-1";
                readonly Stargaze: "stargaze-1";
                readonly Celestia: "celestia";
                readonly Dymension: "dymension_1100-1";
                readonly Provenance: "pio-mainnet-1";
                readonly Noble: "noble-1";
                readonly Xlayer: 196n;
                readonly Mantle: 5000n;
                readonly Scroll: 534352n;
                readonly Blast: 81457n;
                readonly Linea: 59144n;
                readonly Snaxchain: 2192n;
                readonly Worldchain: 480n;
            };
            readonly Testnet: {
                readonly Aptos: 2n;
                readonly Algorand: "testnet-v1.0";
                readonly Near: "testnet";
                readonly Cosmoshub: "theta-testnet-001";
                readonly Evmos: "evmos_9000-4";
                readonly Injective: "injective-888";
                readonly Osmosis: "osmo-test-5";
                readonly Sei: "atlantic-2";
                readonly Terra: "bombay-12";
                readonly Terra2: "pisco-1";
                readonly Wormchain: "wormchain-testnet-0";
                readonly Xpla: "cube_47-5";
                readonly Kujira: "harpoon-4";
                readonly Solana: "EtWTRABZaYq6iMfeYKouRu166VU2xqa1wcaWoxPkrZBG";
                readonly Sui: "4c78adac";
                readonly Acala: 597n;
                readonly Arbitrum: 421613n;
                readonly Aurora: 1313161555n;
                readonly Avalanche: 43113n;
                readonly Base: 84531n;
                readonly Bsc: 97n;
                readonly Celo: 44787n;
                readonly Ethereum: 5n;
                readonly Fantom: 4002n;
                readonly Gnosis: 10200n;
                readonly Karura: 596n;
                readonly Klaytn: 1001n;
                readonly Moonbeam: 1287n;
                readonly Neon: 245022940n;
                readonly Oasis: 42261n;
                readonly Optimism: 420n;
                readonly Polygon: 80001n;
                readonly Rootstock: 31n;
                readonly Sepolia: 11155111n;
                readonly ArbitrumSepolia: 421614n;
                readonly BaseSepolia: 84532n;
                readonly OptimismSepolia: 11155420n;
                readonly PolygonSepolia: 80002n;
                readonly Holesky: 17000n;
                readonly Neutron: "pion-1";
                readonly Celestia: "mocha-4";
                readonly Seda: "seda-1-testnet";
                readonly Noble: "grand-1";
                readonly Blast: 168587773n;
                readonly Mantle: 5003n;
                readonly Scroll: 534351n;
                readonly Berachain: 80084n;
                readonly Snaxchain: 13001n;
                readonly Unichain: 1301n;
                readonly Worldchain: 4801n;
                readonly Ink: 763373n;
                readonly Xlayer: 195n;
                readonly Linea: 59141n;
                readonly MonadDevnet: 41454n;
            };
            readonly Devnet: {
                readonly Aptos: 0n;
                readonly Algorand: "sandnet-v1.0";
                readonly Bsc: 1397n;
                readonly Ethereum: 1337n;
                readonly Injective: "injective_devnet_fake";
                readonly Solana: "8wF6jKV3cKwyaVkWcoV9KpDqmkjvEYno9hKZrKx8TbZn";
            };
        }[T_2] extends infer T_5 ? T_5 extends {
            readonly Mainnet: {
                readonly Aptos: 1n;
                readonly Algorand: "mainnet-v1.0";
                readonly Near: "mainnet";
                readonly Cosmoshub: "cosmoshub-4";
                readonly Evmos: "evmos_9001-2";
                readonly Injective: "injective-1";
                readonly Osmosis: "osmosis-1";
                readonly Sei: "pacific-1";
                readonly Terra: "columbus-5";
                readonly Terra2: "phoenix-1";
                readonly Wormchain: "wormchain";
                readonly Xpla: "dimension_37-1";
                readonly Kujira: "kaiyo-1";
                readonly Solana: "5eykt4UsFv8P8NJdTREpY1vzqKqZKvdpKuc147dw2N9d";
                readonly Sui: "35834a8a";
                readonly Acala: 787n;
                readonly Arbitrum: 42161n;
                readonly Aurora: 1313161554n;
                readonly Avalanche: 43114n;
                readonly Base: 8453n;
                readonly Bsc: 56n;
                readonly Celo: 42220n;
                readonly Ethereum: 1n;
                readonly Fantom: 250n;
                readonly Gnosis: 100n;
                readonly Karura: 686n;
                readonly Klaytn: 8217n;
                readonly Moonbeam: 1284n;
                readonly Neon: 245022934n;
                readonly Oasis: 42262n;
                readonly Optimism: 10n;
                readonly Polygon: 137n;
                readonly Rootstock: 30n;
                readonly Neutron: "neutron-1";
                readonly Stargaze: "stargaze-1";
                readonly Celestia: "celestia";
                readonly Dymension: "dymension_1100-1";
                readonly Provenance: "pio-mainnet-1";
                readonly Noble: "noble-1";
                readonly Xlayer: 196n;
                readonly Mantle: 5000n;
                readonly Scroll: 534352n;
                readonly Blast: 81457n;
                readonly Linea: 59144n;
                readonly Snaxchain: 2192n;
                readonly Worldchain: 480n;
            };
            readonly Testnet: {
                readonly Aptos: 2n;
                readonly Algorand: "testnet-v1.0";
                readonly Near: "testnet";
                readonly Cosmoshub: "theta-testnet-001";
                readonly Evmos: "evmos_9000-4";
                readonly Injective: "injective-888";
                readonly Osmosis: "osmo-test-5";
                readonly Sei: "atlantic-2";
                readonly Terra: "bombay-12";
                readonly Terra2: "pisco-1";
                readonly Wormchain: "wormchain-testnet-0";
                readonly Xpla: "cube_47-5";
                readonly Kujira: "harpoon-4";
                readonly Solana: "EtWTRABZaYq6iMfeYKouRu166VU2xqa1wcaWoxPkrZBG";
                readonly Sui: "4c78adac";
                readonly Acala: 597n;
                readonly Arbitrum: 421613n;
                readonly Aurora: 1313161555n;
                readonly Avalanche: 43113n;
                readonly Base: 84531n;
                readonly Bsc: 97n;
                readonly Celo: 44787n;
                readonly Ethereum: 5n;
                readonly Fantom: 4002n;
                readonly Gnosis: 10200n;
                readonly Karura: 596n;
                readonly Klaytn: 1001n;
                readonly Moonbeam: 1287n;
                readonly Neon: 245022940n;
                readonly Oasis: 42261n;
                readonly Optimism: 420n;
                readonly Polygon: 80001n;
                readonly Rootstock: 31n;
                readonly Sepolia: 11155111n;
                readonly ArbitrumSepolia: 421614n;
                readonly BaseSepolia: 84532n;
                readonly OptimismSepolia: 11155420n;
                readonly PolygonSepolia: 80002n;
                readonly Holesky: 17000n;
                readonly Neutron: "pion-1";
                readonly Celestia: "mocha-4";
                readonly Seda: "seda-1-testnet";
                readonly Noble: "grand-1";
                readonly Blast: 168587773n;
                readonly Mantle: 5003n;
                readonly Scroll: 534351n;
                readonly Berachain: 80084n;
                readonly Snaxchain: 13001n;
                readonly Unichain: 1301n;
                readonly Worldchain: 4801n;
                readonly Ink: 763373n;
                readonly Xlayer: 195n;
                readonly Linea: 59141n;
                readonly MonadDevnet: 41454n;
            };
            readonly Devnet: {
                readonly Aptos: 0n;
                readonly Algorand: "sandnet-v1.0";
                readonly Bsc: 1397n;
                readonly Ethereum: 1337n;
                readonly Injective: "injective_devnet_fake";
                readonly Solana: "8wF6jKV3cKwyaVkWcoV9KpDqmkjvEYno9hKZrKx8TbZn";
            };
        }[T_2] ? T_5 extends Object ? keyof T_5 : never : never : never) extends infer T_6 ? T_6 extends ({
            readonly Mainnet: {
                readonly Aptos: 1n;
                readonly Algorand: "mainnet-v1.0";
                readonly Near: "mainnet";
                readonly Cosmoshub: "cosmoshub-4";
                readonly Evmos: "evmos_9001-2";
                readonly Injective: "injective-1";
                readonly Osmosis: "osmosis-1";
                readonly Sei: "pacific-1";
                readonly Terra: "columbus-5";
                readonly Terra2: "phoenix-1";
                readonly Wormchain: "wormchain";
                readonly Xpla: "dimension_37-1";
                readonly Kujira: "kaiyo-1";
                readonly Solana: "5eykt4UsFv8P8NJdTREpY1vzqKqZKvdpKuc147dw2N9d";
                readonly Sui: "35834a8a";
                readonly Acala: 787n;
                readonly Arbitrum: 42161n;
                readonly Aurora: 1313161554n;
                readonly Avalanche: 43114n;
                readonly Base: 8453n;
                readonly Bsc: 56n;
                readonly Celo: 42220n;
                readonly Ethereum: 1n;
                readonly Fantom: 250n;
                readonly Gnosis: 100n;
                readonly Karura: 686n;
                readonly Klaytn: 8217n;
                readonly Moonbeam: 1284n;
                readonly Neon: 245022934n;
                readonly Oasis: 42262n;
                readonly Optimism: 10n;
                readonly Polygon: 137n;
                readonly Rootstock: 30n;
                readonly Neutron: "neutron-1";
                readonly Stargaze: "stargaze-1";
                readonly Celestia: "celestia";
                readonly Dymension: "dymension_1100-1";
                readonly Provenance: "pio-mainnet-1";
                readonly Noble: "noble-1";
                readonly Xlayer: 196n;
                readonly Mantle: 5000n;
                readonly Scroll: 534352n;
                readonly Blast: 81457n;
                readonly Linea: 59144n;
                readonly Snaxchain: 2192n;
                readonly Worldchain: 480n;
            };
            readonly Testnet: {
                readonly Aptos: 2n;
                readonly Algorand: "testnet-v1.0";
                readonly Near: "testnet";
                readonly Cosmoshub: "theta-testnet-001";
                readonly Evmos: "evmos_9000-4";
                readonly Injective: "injective-888";
                readonly Osmosis: "osmo-test-5";
                readonly Sei: "atlantic-2";
                readonly Terra: "bombay-12";
                readonly Terra2: "pisco-1";
                readonly Wormchain: "wormchain-testnet-0";
                readonly Xpla: "cube_47-5";
                readonly Kujira: "harpoon-4";
                readonly Solana: "EtWTRABZaYq6iMfeYKouRu166VU2xqa1wcaWoxPkrZBG";
                readonly Sui: "4c78adac";
                readonly Acala: 597n;
                readonly Arbitrum: 421613n;
                readonly Aurora: 1313161555n;
                readonly Avalanche: 43113n;
                readonly Base: 84531n;
                readonly Bsc: 97n;
                readonly Celo: 44787n;
                readonly Ethereum: 5n;
                readonly Fantom: 4002n;
                readonly Gnosis: 10200n;
                readonly Karura: 596n;
                readonly Klaytn: 1001n;
                readonly Moonbeam: 1287n;
                readonly Neon: 245022940n;
                readonly Oasis: 42261n;
                readonly Optimism: 420n;
                readonly Polygon: 80001n;
                readonly Rootstock: 31n;
                readonly Sepolia: 11155111n;
                readonly ArbitrumSepolia: 421614n;
                readonly BaseSepolia: 84532n;
                readonly OptimismSepolia: 11155420n;
                readonly PolygonSepolia: 80002n;
                readonly Holesky: 17000n;
                readonly Neutron: "pion-1";
                readonly Celestia: "mocha-4";
                readonly Seda: "seda-1-testnet";
                readonly Noble: "grand-1";
                readonly Blast: 168587773n;
                readonly Mantle: 5003n;
                readonly Scroll: 534351n;
                readonly Berachain: 80084n;
                readonly Snaxchain: 13001n;
                readonly Unichain: 1301n;
                readonly Worldchain: 4801n;
                readonly Ink: 763373n;
                readonly Xlayer: 195n;
                readonly Linea: 59141n;
                readonly MonadDevnet: 41454n;
            };
            readonly Devnet: {
                readonly Aptos: 0n;
                readonly Algorand: "sandnet-v1.0";
                readonly Bsc: 1397n;
                readonly Ethereum: 1337n;
                readonly Injective: "injective_devnet_fake";
                readonly Solana: "8wF6jKV3cKwyaVkWcoV9KpDqmkjvEYno9hKZrKx8TbZn";
            };
        }[T_2] extends infer T_5 ? T_5 extends {
            readonly Mainnet: {
                readonly Aptos: 1n;
                readonly Algorand: "mainnet-v1.0";
                readonly Near: "mainnet";
                readonly Cosmoshub: "cosmoshub-4";
                readonly Evmos: "evmos_9001-2";
                readonly Injective: "injective-1";
                readonly Osmosis: "osmosis-1";
                readonly Sei: "pacific-1";
                readonly Terra: "columbus-5";
                readonly Terra2: "phoenix-1";
                readonly Wormchain: "wormchain";
                readonly Xpla: "dimension_37-1";
                readonly Kujira: "kaiyo-1";
                readonly Solana: "5eykt4UsFv8P8NJdTREpY1vzqKqZKvdpKuc147dw2N9d";
                readonly Sui: "35834a8a";
                readonly Acala: 787n;
                readonly Arbitrum: 42161n;
                readonly Aurora: 1313161554n;
                readonly Avalanche: 43114n;
                readonly Base: 8453n;
                readonly Bsc: 56n;
                readonly Celo: 42220n;
                readonly Ethereum: 1n;
                readonly Fantom: 250n;
                readonly Gnosis: 100n;
                readonly Karura: 686n;
                readonly Klaytn: 8217n;
                readonly Moonbeam: 1284n;
                readonly Neon: 245022934n;
                readonly Oasis: 42262n;
                readonly Optimism: 10n;
                readonly Polygon: 137n;
                readonly Rootstock: 30n;
                readonly Neutron: "neutron-1";
                readonly Stargaze: "stargaze-1";
                readonly Celestia: "celestia";
                readonly Dymension: "dymension_1100-1";
                readonly Provenance: "pio-mainnet-1";
                readonly Noble: "noble-1";
                readonly Xlayer: 196n;
                readonly Mantle: 5000n;
                readonly Scroll: 534352n;
                readonly Blast: 81457n;
                readonly Linea: 59144n;
                readonly Snaxchain: 2192n;
                readonly Worldchain: 480n;
            };
            readonly Testnet: {
                readonly Aptos: 2n;
                readonly Algorand: "testnet-v1.0";
                readonly Near: "testnet";
                readonly Cosmoshub: "theta-testnet-001";
                readonly Evmos: "evmos_9000-4";
                readonly Injective: "injective-888";
                readonly Osmosis: "osmo-test-5";
                readonly Sei: "atlantic-2";
                readonly Terra: "bombay-12";
                readonly Terra2: "pisco-1";
                readonly Wormchain: "wormchain-testnet-0";
                readonly Xpla: "cube_47-5";
                readonly Kujira: "harpoon-4";
                readonly Solana: "EtWTRABZaYq6iMfeYKouRu166VU2xqa1wcaWoxPkrZBG";
                readonly Sui: "4c78adac";
                readonly Acala: 597n;
                readonly Arbitrum: 421613n;
                readonly Aurora: 1313161555n;
                readonly Avalanche: 43113n;
                readonly Base: 84531n;
                readonly Bsc: 97n;
                readonly Celo: 44787n;
                readonly Ethereum: 5n;
                readonly Fantom: 4002n;
                readonly Gnosis: 10200n;
                readonly Karura: 596n;
                readonly Klaytn: 1001n;
                readonly Moonbeam: 1287n;
                readonly Neon: 245022940n;
                readonly Oasis: 42261n;
                readonly Optimism: 420n;
                readonly Polygon: 80001n;
                readonly Rootstock: 31n;
                readonly Sepolia: 11155111n;
                readonly ArbitrumSepolia: 421614n;
                readonly BaseSepolia: 84532n;
                readonly OptimismSepolia: 11155420n;
                readonly PolygonSepolia: 80002n;
                readonly Holesky: 17000n;
                readonly Neutron: "pion-1";
                readonly Celestia: "mocha-4";
                readonly Seda: "seda-1-testnet";
                readonly Noble: "grand-1";
                readonly Blast: 168587773n;
                readonly Mantle: 5003n;
                readonly Scroll: 534351n;
                readonly Berachain: 80084n;
                readonly Snaxchain: 13001n;
                readonly Unichain: 1301n;
                readonly Worldchain: 4801n;
                readonly Ink: 763373n;
                readonly Xlayer: 195n;
                readonly Linea: 59141n;
                readonly MonadDevnet: 41454n;
            };
            readonly Devnet: {
                readonly Aptos: 0n;
                readonly Algorand: "sandnet-v1.0";
                readonly Bsc: 1397n;
                readonly Ethereum: 1337n;
                readonly Injective: "injective_devnet_fake";
                readonly Solana: "8wF6jKV3cKwyaVkWcoV9KpDqmkjvEYno9hKZrKx8TbZn";
            };
        }[T_2] ? T_5 extends Object ? keyof T_5 : never : never : never) ? T_6 extends `bigint(${infer V extends bigint})` ? V : T_6 extends `boolean(${infer V_1 extends boolean})` ? V_1 : T_6 : never : never>) => ({
            readonly Mainnet: {
                readonly Aptos: 1n;
                readonly Algorand: "mainnet-v1.0";
                readonly Near: "mainnet";
                readonly Cosmoshub: "cosmoshub-4";
                readonly Evmos: "evmos_9001-2";
                readonly Injective: "injective-1";
                readonly Osmosis: "osmosis-1";
                readonly Sei: "pacific-1";
                readonly Terra: "columbus-5";
                readonly Terra2: "phoenix-1";
                readonly Wormchain: "wormchain";
                readonly Xpla: "dimension_37-1";
                readonly Kujira: "kaiyo-1";
                readonly Solana: "5eykt4UsFv8P8NJdTREpY1vzqKqZKvdpKuc147dw2N9d";
                readonly Sui: "35834a8a";
                readonly Acala: 787n;
                readonly Arbitrum: 42161n;
                readonly Aurora: 1313161554n;
                readonly Avalanche: 43114n;
                readonly Base: 8453n;
                readonly Bsc: 56n;
                readonly Celo: 42220n;
                readonly Ethereum: 1n;
                readonly Fantom: 250n;
                readonly Gnosis: 100n;
                readonly Karura: 686n;
                readonly Klaytn: 8217n;
                readonly Moonbeam: 1284n;
                readonly Neon: 245022934n;
                readonly Oasis: 42262n;
                readonly Optimism: 10n;
                readonly Polygon: 137n;
                readonly Rootstock: 30n;
                readonly Neutron: "neutron-1";
                readonly Stargaze: "stargaze-1";
                readonly Celestia: "celestia";
                readonly Dymension: "dymension_1100-1";
                readonly Provenance: "pio-mainnet-1";
                readonly Noble: "noble-1";
                readonly Xlayer: 196n;
                readonly Mantle: 5000n;
                readonly Scroll: 534352n;
                readonly Blast: 81457n;
                readonly Linea: 59144n;
                readonly Snaxchain: 2192n;
                readonly Worldchain: 480n;
            };
            readonly Testnet: {
                readonly Aptos: 2n;
                readonly Algorand: "testnet-v1.0";
                readonly Near: "testnet";
                readonly Cosmoshub: "theta-testnet-001";
                readonly Evmos: "evmos_9000-4";
                readonly Injective: "injective-888";
                readonly Osmosis: "osmo-test-5";
                readonly Sei: "atlantic-2";
                readonly Terra: "bombay-12";
                readonly Terra2: "pisco-1";
                readonly Wormchain: "wormchain-testnet-0";
                readonly Xpla: "cube_47-5";
                readonly Kujira: "harpoon-4";
                readonly Solana: "EtWTRABZaYq6iMfeYKouRu166VU2xqa1wcaWoxPkrZBG";
                readonly Sui: "4c78adac";
                readonly Acala: 597n;
                readonly Arbitrum: 421613n;
                readonly Aurora: 1313161555n;
                readonly Avalanche: 43113n;
                readonly Base: 84531n;
                readonly Bsc: 97n;
                readonly Celo: 44787n;
                readonly Ethereum: 5n;
                readonly Fantom: 4002n;
                readonly Gnosis: 10200n;
                readonly Karura: 596n;
                readonly Klaytn: 1001n;
                readonly Moonbeam: 1287n;
                readonly Neon: 245022940n;
                readonly Oasis: 42261n;
                readonly Optimism: 420n;
                readonly Polygon: 80001n;
                readonly Rootstock: 31n;
                readonly Sepolia: 11155111n;
                readonly ArbitrumSepolia: 421614n;
                readonly BaseSepolia: 84532n;
                readonly OptimismSepolia: 11155420n;
                readonly PolygonSepolia: 80002n;
                readonly Holesky: 17000n;
                readonly Neutron: "pion-1";
                readonly Celestia: "mocha-4";
                readonly Seda: "seda-1-testnet";
                readonly Noble: "grand-1";
                readonly Blast: 168587773n;
                readonly Mantle: 5003n;
                readonly Scroll: 534351n;
                readonly Berachain: 80084n;
                readonly Snaxchain: 13001n;
                readonly Unichain: 1301n;
                readonly Worldchain: 4801n;
                readonly Ink: 763373n;
                readonly Xlayer: 195n;
                readonly Linea: 59141n;
                readonly MonadDevnet: 41454n;
            };
            readonly Devnet: {
                readonly Aptos: 0n;
                readonly Algorand: "sandnet-v1.0";
                readonly Bsc: 1397n;
                readonly Ethereum: 1337n;
                readonly Injective: "injective_devnet_fake";
                readonly Solana: "8wF6jKV3cKwyaVkWcoV9KpDqmkjvEYno9hKZrKx8TbZn";
            };
        }[T_2] extends infer T_7 ? T_7 extends {
            readonly Mainnet: {
                readonly Aptos: 1n;
                readonly Algorand: "mainnet-v1.0";
                readonly Near: "mainnet";
                readonly Cosmoshub: "cosmoshub-4";
                readonly Evmos: "evmos_9001-2";
                readonly Injective: "injective-1";
                readonly Osmosis: "osmosis-1";
                readonly Sei: "pacific-1";
                readonly Terra: "columbus-5";
                readonly Terra2: "phoenix-1";
                readonly Wormchain: "wormchain";
                readonly Xpla: "dimension_37-1";
                readonly Kujira: "kaiyo-1";
                readonly Solana: "5eykt4UsFv8P8NJdTREpY1vzqKqZKvdpKuc147dw2N9d";
                readonly Sui: "35834a8a";
                readonly Acala: 787n;
                readonly Arbitrum: 42161n;
                readonly Aurora: 1313161554n;
                readonly Avalanche: 43114n;
                readonly Base: 8453n;
                readonly Bsc: 56n;
                readonly Celo: 42220n;
                readonly Ethereum: 1n;
                readonly Fantom: 250n;
                readonly Gnosis: 100n;
                readonly Karura: 686n;
                readonly Klaytn: 8217n;
                readonly Moonbeam: 1284n;
                readonly Neon: 245022934n;
                readonly Oasis: 42262n;
                readonly Optimism: 10n;
                readonly Polygon: 137n;
                readonly Rootstock: 30n;
                readonly Neutron: "neutron-1";
                readonly Stargaze: "stargaze-1";
                readonly Celestia: "celestia";
                readonly Dymension: "dymension_1100-1";
                readonly Provenance: "pio-mainnet-1";
                readonly Noble: "noble-1";
                readonly Xlayer: 196n;
                readonly Mantle: 5000n;
                readonly Scroll: 534352n;
                readonly Blast: 81457n;
                readonly Linea: 59144n;
                readonly Snaxchain: 2192n;
                readonly Worldchain: 480n;
            };
            readonly Testnet: {
                readonly Aptos: 2n;
                readonly Algorand: "testnet-v1.0";
                readonly Near: "testnet";
                readonly Cosmoshub: "theta-testnet-001";
                readonly Evmos: "evmos_9000-4";
                readonly Injective: "injective-888";
                readonly Osmosis: "osmo-test-5";
                readonly Sei: "atlantic-2";
                readonly Terra: "bombay-12";
                readonly Terra2: "pisco-1";
                readonly Wormchain: "wormchain-testnet-0";
                readonly Xpla: "cube_47-5";
                readonly Kujira: "harpoon-4";
                readonly Solana: "EtWTRABZaYq6iMfeYKouRu166VU2xqa1wcaWoxPkrZBG";
                readonly Sui: "4c78adac";
                readonly Acala: 597n;
                readonly Arbitrum: 421613n;
                readonly Aurora: 1313161555n;
                readonly Avalanche: 43113n;
                readonly Base: 84531n;
                readonly Bsc: 97n;
                readonly Celo: 44787n;
                readonly Ethereum: 5n;
                readonly Fantom: 4002n;
                readonly Gnosis: 10200n;
                readonly Karura: 596n;
                readonly Klaytn: 1001n;
                readonly Moonbeam: 1287n;
                readonly Neon: 245022940n;
                readonly Oasis: 42261n;
                readonly Optimism: 420n;
                readonly Polygon: 80001n;
                readonly Rootstock: 31n;
                readonly Sepolia: 11155111n;
                readonly ArbitrumSepolia: 421614n;
                readonly BaseSepolia: 84532n;
                readonly OptimismSepolia: 11155420n;
                readonly PolygonSepolia: 80002n;
                readonly Holesky: 17000n;
                readonly Neutron: "pion-1";
                readonly Celestia: "mocha-4";
                readonly Seda: "seda-1-testnet";
                readonly Noble: "grand-1";
                readonly Blast: 168587773n;
                readonly Mantle: 5003n;
                readonly Scroll: 534351n;
                readonly Berachain: 80084n;
                readonly Snaxchain: 13001n;
                readonly Unichain: 1301n;
                readonly Worldchain: 4801n;
                readonly Ink: 763373n;
                readonly Xlayer: 195n;
                readonly Linea: 59141n;
                readonly MonadDevnet: 41454n;
            };
            readonly Devnet: {
                readonly Aptos: 0n;
                readonly Algorand: "sandnet-v1.0";
                readonly Bsc: 1397n;
                readonly Ethereum: 1337n;
                readonly Injective: "injective_devnet_fake";
                readonly Solana: "8wF6jKV3cKwyaVkWcoV9KpDqmkjvEYno9hKZrKx8TbZn";
            };
        }[T_2] ? T_7 extends Object ? T_7[keyof T_7] : never : never : never) | undefined;
    } : never : never : never : never;
};
type NetworkChainToNativeChainId = ToMapping<typeof chainNetworkNativeChainIdEntries>;
export type PlatformToNativeChainIds<P extends Platform, N extends Network = Network> = PlatformToChains<P> extends infer C ? C extends keyof NetworkChainToNativeChainId[N] ? NetworkChainToNativeChainId[N][C] : C extends keyof NetworkChainToNativeChainId["Mainnet"] ? Widen<NetworkChainToNativeChainId["Mainnet"][C]> : never : never;
declare const nativeChainIdToNetworkChain: (<const K1 extends 0n | 10n | 1n | "mainnet-v1.0" | "mainnet" | "cosmoshub-4" | "evmos_9001-2" | "injective-1" | "osmosis-1" | "pacific-1" | "columbus-5" | "phoenix-1" | "wormchain" | "dimension_37-1" | "kaiyo-1" | "5eykt4UsFv8P8NJdTREpY1vzqKqZKvdpKuc147dw2N9d" | "35834a8a" | 787n | 42161n | 1313161554n | 43114n | 8453n | 56n | 42220n | 250n | 100n | 686n | 8217n | 1284n | 245022934n | 42262n | 137n | 30n | "neutron-1" | "stargaze-1" | "celestia" | "dymension_1100-1" | "pio-mainnet-1" | "noble-1" | 196n | 5000n | 534352n | 81457n | 59144n | 2192n | 480n | 2n | "testnet-v1.0" | "testnet" | "theta-testnet-001" | "evmos_9000-4" | "injective-888" | "osmo-test-5" | "atlantic-2" | "bombay-12" | "pisco-1" | "wormchain-testnet-0" | "cube_47-5" | "harpoon-4" | "EtWTRABZaYq6iMfeYKouRu166VU2xqa1wcaWoxPkrZBG" | "4c78adac" | 597n | 421613n | 1313161555n | 43113n | 84531n | 97n | 44787n | 5n | 4002n | 10200n | 596n | 1001n | 1287n | 245022940n | 42261n | 420n | 80001n | 31n | 11155111n | 421614n | 84532n | 11155420n | 80002n | 17000n | "pion-1" | "mocha-4" | "seda-1-testnet" | "grand-1" | 168587773n | 5003n | 534351n | 80084n | 13001n | 1301n | 4801n | 763373n | 195n | 59141n | 41454n | "sandnet-v1.0" | 1397n | 1337n | "injective_devnet_fake" | "8wF6jKV3cKwyaVkWcoV9KpDqmkjvEYno9hKZrKx8TbZn">(args_0: K1) => {
    "bigint(1)": [["Mainnet", "Aptos"], ["Mainnet", "Ethereum"]];
    "mainnet-v1.0": [["Mainnet", "Algorand"]];
    mainnet: [["Mainnet", "Near"]];
    "cosmoshub-4": [["Mainnet", "Cosmoshub"]];
    "evmos_9001-2": [["Mainnet", "Evmos"]];
    "injective-1": [["Mainnet", "Injective"]];
    "osmosis-1": [["Mainnet", "Osmosis"]];
    "pacific-1": [["Mainnet", "Sei"]];
    "columbus-5": [["Mainnet", "Terra"]];
    "phoenix-1": [["Mainnet", "Terra2"]];
    wormchain: [["Mainnet", "Wormchain"]];
    "dimension_37-1": [["Mainnet", "Xpla"]];
    "kaiyo-1": [["Mainnet", "Kujira"]];
    "5eykt4UsFv8P8NJdTREpY1vzqKqZKvdpKuc147dw2N9d": [["Mainnet", "Solana"]];
    "35834a8a": [["Mainnet", "Sui"]];
    "bigint(787)": [["Mainnet", "Acala"]];
    "bigint(42161)": [["Mainnet", "Arbitrum"]];
    "bigint(1313161554)": [["Mainnet", "Aurora"]];
    "bigint(43114)": [["Mainnet", "Avalanche"]];
    "bigint(8453)": [["Mainnet", "Base"]];
    "bigint(56)": [["Mainnet", "Bsc"]];
    "bigint(42220)": [["Mainnet", "Celo"]];
    "bigint(250)": [["Mainnet", "Fantom"]];
    "bigint(100)": [["Mainnet", "Gnosis"]];
    "bigint(686)": [["Mainnet", "Karura"]];
    "bigint(8217)": [["Mainnet", "Klaytn"]];
    "bigint(1284)": [["Mainnet", "Moonbeam"]];
    "bigint(245022934)": [["Mainnet", "Neon"]];
    "bigint(42262)": [["Mainnet", "Oasis"]];
    "bigint(10)": [["Mainnet", "Optimism"]];
    "bigint(137)": [["Mainnet", "Polygon"]];
    "bigint(30)": [["Mainnet", "Rootstock"]];
    "neutron-1": [["Mainnet", "Neutron"]];
    "stargaze-1": [["Mainnet", "Stargaze"]];
    celestia: [["Mainnet", "Celestia"]];
    "dymension_1100-1": [["Mainnet", "Dymension"]];
    "pio-mainnet-1": [["Mainnet", "Provenance"]];
    "noble-1": [["Mainnet", "Noble"]];
    "bigint(196)": [["Mainnet", "Xlayer"]];
    "bigint(5000)": [["Mainnet", "Mantle"]];
    "bigint(534352)": [["Mainnet", "Scroll"]];
    "bigint(81457)": [["Mainnet", "Blast"]];
    "bigint(59144)": [["Mainnet", "Linea"]];
    "bigint(2192)": [["Mainnet", "Snaxchain"]];
    "bigint(480)": [["Mainnet", "Worldchain"]];
    "bigint(2)": [["Testnet", "Aptos"]];
    "testnet-v1.0": [["Testnet", "Algorand"]];
    testnet: [["Testnet", "Near"]];
    "theta-testnet-001": [["Testnet", "Cosmoshub"]];
    "evmos_9000-4": [["Testnet", "Evmos"]];
    "injective-888": [["Testnet", "Injective"]];
    "osmo-test-5": [["Testnet", "Osmosis"]];
    "atlantic-2": [["Testnet", "Sei"]];
    "bombay-12": [["Testnet", "Terra"]];
    "pisco-1": [["Testnet", "Terra2"]];
    "wormchain-testnet-0": [["Testnet", "Wormchain"]];
    "cube_47-5": [["Testnet", "Xpla"]];
    "harpoon-4": [["Testnet", "Kujira"]];
    EtWTRABZaYq6iMfeYKouRu166VU2xqa1wcaWoxPkrZBG: [["Testnet", "Solana"]];
    "4c78adac": [["Testnet", "Sui"]];
    "bigint(597)": [["Testnet", "Acala"]];
    "bigint(421613)": [["Testnet", "Arbitrum"]];
    "bigint(1313161555)": [["Testnet", "Aurora"]];
    "bigint(43113)": [["Testnet", "Avalanche"]];
    "bigint(84531)": [["Testnet", "Base"]];
    "bigint(97)": [["Testnet", "Bsc"]];
    "bigint(44787)": [["Testnet", "Celo"]];
    "bigint(5)": [["Testnet", "Ethereum"]];
    "bigint(4002)": [["Testnet", "Fantom"]];
    "bigint(10200)": [["Testnet", "Gnosis"]];
    "bigint(596)": [["Testnet", "Karura"]];
    "bigint(1001)": [["Testnet", "Klaytn"]];
    "bigint(1287)": [["Testnet", "Moonbeam"]];
    "bigint(245022940)": [["Testnet", "Neon"]];
    "bigint(42261)": [["Testnet", "Oasis"]];
    "bigint(420)": [["Testnet", "Optimism"]];
    "bigint(80001)": [["Testnet", "Polygon"]];
    "bigint(31)": [["Testnet", "Rootstock"]];
    "bigint(11155111)": [["Testnet", "Sepolia"]];
    "bigint(421614)": [["Testnet", "ArbitrumSepolia"]];
    "bigint(84532)": [["Testnet", "BaseSepolia"]];
    "bigint(11155420)": [["Testnet", "OptimismSepolia"]];
    "bigint(80002)": [["Testnet", "PolygonSepolia"]];
    "bigint(17000)": [["Testnet", "Holesky"]];
    "pion-1": [["Testnet", "Neutron"]];
    "mocha-4": [["Testnet", "Celestia"]];
    "seda-1-testnet": [["Testnet", "Seda"]];
    "grand-1": [["Testnet", "Noble"]];
    "bigint(168587773)": [["Testnet", "Blast"]];
    "bigint(5003)": [["Testnet", "Mantle"]];
    "bigint(534351)": [["Testnet", "Scroll"]];
    "bigint(80084)": [["Testnet", "Berachain"]];
    "bigint(13001)": [["Testnet", "Snaxchain"]];
    "bigint(1301)": [["Testnet", "Unichain"]];
    "bigint(4801)": [["Testnet", "Worldchain"]];
    "bigint(763373)": [["Testnet", "Ink"]];
    "bigint(195)": [["Testnet", "Xlayer"]];
    "bigint(59141)": [["Testnet", "Linea"]];
    "bigint(41454)": [["Testnet", "MonadDevnet"]];
    "bigint(0)": [["Devnet", "Aptos"]];
    "sandnet-v1.0": [["Devnet", "Algorand"]];
    "bigint(1397)": [["Devnet", "Bsc"]];
    "bigint(1337)": [["Devnet", "Ethereum"]];
    injective_devnet_fake: [["Devnet", "Injective"]];
    "8wF6jKV3cKwyaVkWcoV9KpDqmkjvEYno9hKZrKx8TbZn": [["Devnet", "Solana"]];
}[K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1]) & {
    readonly has: (args_0: string | bigint) => boolean;
    readonly get: (args_0: string | bigint) => [["Mainnet", "Aptos"], ["Mainnet", "Ethereum"]] | [["Mainnet", "Algorand"]] | [["Mainnet", "Near"]] | [["Mainnet", "Cosmoshub"]] | [["Mainnet", "Evmos"]] | [["Mainnet", "Injective"]] | [["Mainnet", "Osmosis"]] | [["Mainnet", "Sei"]] | [["Mainnet", "Terra"]] | [["Mainnet", "Terra2"]] | [["Mainnet", "Wormchain"]] | [["Mainnet", "Xpla"]] | [["Mainnet", "Kujira"]] | [["Mainnet", "Solana"]] | [["Mainnet", "Sui"]] | [["Mainnet", "Acala"]] | [["Mainnet", "Arbitrum"]] | [["Mainnet", "Aurora"]] | [["Mainnet", "Avalanche"]] | [["Mainnet", "Base"]] | [["Mainnet", "Bsc"]] | [["Mainnet", "Celo"]] | [["Mainnet", "Fantom"]] | [["Mainnet", "Gnosis"]] | [["Mainnet", "Karura"]] | [["Mainnet", "Klaytn"]] | [["Mainnet", "Moonbeam"]] | [["Mainnet", "Neon"]] | [["Mainnet", "Oasis"]] | [["Mainnet", "Optimism"]] | [["Mainnet", "Polygon"]] | [["Mainnet", "Rootstock"]] | [["Mainnet", "Neutron"]] | [["Mainnet", "Stargaze"]] | [["Mainnet", "Celestia"]] | [["Mainnet", "Dymension"]] | [["Mainnet", "Provenance"]] | [["Mainnet", "Noble"]] | [["Mainnet", "Xlayer"]] | [["Mainnet", "Mantle"]] | [["Mainnet", "Scroll"]] | [["Mainnet", "Blast"]] | [["Mainnet", "Linea"]] | [["Mainnet", "Snaxchain"]] | [["Mainnet", "Worldchain"]] | [["Testnet", "Aptos"]] | [["Testnet", "Algorand"]] | [["Testnet", "Near"]] | [["Testnet", "Cosmoshub"]] | [["Testnet", "Evmos"]] | [["Testnet", "Injective"]] | [["Testnet", "Osmosis"]] | [["Testnet", "Sei"]] | [["Testnet", "Terra"]] | [["Testnet", "Terra2"]] | [["Testnet", "Wormchain"]] | [["Testnet", "Xpla"]] | [["Testnet", "Kujira"]] | [["Testnet", "Solana"]] | [["Testnet", "Sui"]] | [["Testnet", "Acala"]] | [["Testnet", "Arbitrum"]] | [["Testnet", "Aurora"]] | [["Testnet", "Avalanche"]] | [["Testnet", "Base"]] | [["Testnet", "Bsc"]] | [["Testnet", "Celo"]] | [["Testnet", "Ethereum"]] | [["Testnet", "Fantom"]] | [["Testnet", "Gnosis"]] | [["Testnet", "Karura"]] | [["Testnet", "Klaytn"]] | [["Testnet", "Moonbeam"]] | [["Testnet", "Neon"]] | [["Testnet", "Oasis"]] | [["Testnet", "Optimism"]] | [["Testnet", "Polygon"]] | [["Testnet", "Rootstock"]] | [["Testnet", "Sepolia"]] | [["Testnet", "ArbitrumSepolia"]] | [["Testnet", "BaseSepolia"]] | [["Testnet", "OptimismSepolia"]] | [["Testnet", "PolygonSepolia"]] | [["Testnet", "Holesky"]] | [["Testnet", "Neutron"]] | [["Testnet", "Celestia"]] | [["Testnet", "Seda"]] | [["Testnet", "Noble"]] | [["Testnet", "Blast"]] | [["Testnet", "Mantle"]] | [["Testnet", "Scroll"]] | [["Testnet", "Berachain"]] | [["Testnet", "Snaxchain"]] | [["Testnet", "Unichain"]] | [["Testnet", "Worldchain"]] | [["Testnet", "Ink"]] | [["Testnet", "Xlayer"]] | [["Testnet", "Linea"]] | [["Testnet", "MonadDevnet"]] | [["Devnet", "Aptos"]] | [["Devnet", "Algorand"]] | [["Devnet", "Bsc"]] | [["Devnet", "Ethereum"]] | [["Devnet", "Injective"]] | [["Devnet", "Solana"]] | undefined;
};
export type PlatformNativeChainIdToNetworkChainPair<P extends Platform> = PlatformToChains<P> extends infer C ? ReturnType<typeof nativeChainIdToNetworkChain>[number] extends infer NCP ? NCP extends readonly [Network, C] ? NCP : never : never : never;
export declare function platformNativeChainIdToNetworkChain<P extends Platform, CI extends PlatformToNativeChainIds<P>>(platform: P, chainId: Widen<CI>): PlatformNativeChainIdToNetworkChainPair<P>;
export {};
//# sourceMappingURL=nativeChainIds.d.ts.map